package com.qhiot.cache.redis;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cache.Cache;
import org.springframework.cache.interceptor.CacheErrorHandler;

/**
 * @author 金建强(ptma@163.com)
 * @version 2018/5/14 16:53
 */
public class DefaultCacheErrorHandler implements CacheErrorHandler {

    private static final Logger LOGGER = LoggerFactory.getLogger(DefaultCacheErrorHandler.class);

    @Override
    public void handleCacheGetError(RuntimeException exception, Cache cache, Object key) {
        LOGGER.error("获取缓存出错: key={}:{}", cache.getName(), key, exception);
        throw exception;
    }

    @Override
    public void handleCachePutError(RuntimeException exception, Cache cache, Object key, Object value) {
        LOGGER.error("更新缓存出错: key={}:{}", cache.getName(), key, exception);
        throw exception;
    }

    @Override
    public void handleCacheEvictError(RuntimeException exception, Cache cache, Object key) {
        LOGGER.error("删除缓存出错: key={}:{}", cache.getName(), key, exception);
        throw exception;
    }

    @Override
    public void handleCacheClearError(RuntimeException exception, Cache cache) {
        LOGGER.error("清空缓存出错: cache={}", cache.getName(), exception);
        throw exception;
    }
}
