package com.qhiot.cache.redis;

import com.qhiot.core.util.StringUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.connection.MessageListener;

/**
 * @author 金建强(ptma@163.com)
 * @version 2018/5/30 11:30
 */
public class KeyExpiredMessageDelegate implements MessageListener {

    private static final Logger LOGGER = LoggerFactory.getLogger(KeyExpiredMessageDelegate.class);

    private static final String SNAP_KEY_PREFIX = "seem:transport:snap_segment:";

    @Override
    public void onMessage(Message message, byte[] pattern) {
        String key = new String(message.getBody());
        LOGGER.debug("缓存过期: {}", key);
        if (StringUtil.startsWithIgnoreCase(key, SNAP_KEY_PREFIX)) {
            String cacheKeyTemplate = StringUtil.removePrefix(key, SNAP_KEY_PREFIX);
            LOGGER.warn("上传照片过期: 终端={}", cacheKeyTemplate.split("_")[0]);
        }
    }
}
