package com.qhiot.core.exception;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.PrintWriter;
import java.io.StringWriter;

public class ExceptionWapper {

    private static final Logger LOGGER = LoggerFactory.getLogger(ExceptionWapper.class);

    private String exceptionClass;

    private String message;

    private String stackTrace;

    private ExceptionWapper() {

    }

    public static ExceptionWapper from(String messgae) {
        ExceptionWapper exceptionWapper = new ExceptionWapper();
        exceptionWapper.setMessage(messgae);
        exceptionWapper.setExceptionClass("");
        exceptionWapper.setStackTrace("");
        return exceptionWapper;
    }

    public static ExceptionWapper from(Throwable e) {
        ExceptionWapper exceptionWapper = new ExceptionWapper();
        exceptionWapper.setMessage(e.getMessage());
        exceptionWapper.setExceptionClass(e.getClass().getName());

        StringWriter stringWriter = new StringWriter();
        PrintWriter printWriter = new PrintWriter(stringWriter);
        e.printStackTrace(printWriter);
        exceptionWapper.setStackTrace(stringWriter.toString());

        return exceptionWapper;
    }

    public String getExceptionClass() {
        return exceptionClass;
    }

    public void setExceptionClass(String exceptionClass) {
        this.exceptionClass = exceptionClass;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getStackTrace() {
        return stackTrace;
    }

    public void setStackTrace(String stackTrace) {
        this.stackTrace = stackTrace;
    }

    @Override
    public String toString() {
        return String.format("ExceptionWapper{exceptionClass='%s', message='%s', stackTrace='%s'}", exceptionClass,
                message, stackTrace);
    }

}
