package com.qhiot.core.sql;

/**
 * 数据源上下文持有者
 */
public class DataSourceContextHolder {

    private static final ThreadLocal<String> CONTEXT_HOLDER = new ThreadLocal<String>();

    private DataSourceContextHolder() {

    }

    public static String getDbType() {
        return CONTEXT_HOLDER.get();
    }

    public static void setDbType(String dbType) {
        CONTEXT_HOLDER.set(dbType);
    }

    public static void clearDbType() {
        CONTEXT_HOLDER.remove();
    }
}
