package com.qhiot.core.sql.mybatis.dialect;

import java.sql.DatabaseMetaData;
import java.sql.SQLException;

public class DialectSQL {

    public static DialectDB whichDB(DatabaseMetaData dbmd) throws SQLException {
        String dbName = dbmd.getDatabaseProductName().toLowerCase();
        if (dbName.contains("mysql")) {
            return DialectDB.MYSQL;
        } else if (dbName.contains("postgresql")) {
            return DialectDB.POSTGRESQL;
        } else if (dbName.contains("hsql")) {
            return DialectDB.HSQLDB;
        } else if (dbName.contains("microsoft")) {
            return DialectDB.SQL_SERVER;
        }
        return null;
    }

    public enum DialectDB {
        MYSQL, SQL_SERVER, ORACLE, HSQLDB, POSTGRESQL, DB2
    }
}
