package com.qhiot.core.sql.mybatis.dialect;

public class MySQLDialect extends Dialect {

    @Override
    public boolean supportsLimitOffset() {
        return true;
    }

    @Override
    public boolean supportsLimit() {
        return true;
    }

    @Override
    public String getLimitString(String sql, int offset, String offsetPlaceholder, int limit, String limitPlaceholder) {
        StringBuilder sqlBuilder = new StringBuilder(sql.length() + 40);
        sqlBuilder.append(sql);
        if (offset > 0) {
            sqlBuilder.append(" limit ").append(offset).append(", ").append(limit);
        } else {
            sqlBuilder.append(" limit ").append(limit);
        }
        return sqlBuilder.toString();
    }

}
