package com.qhiot.core.util;

import org.springframework.core.io.DefaultResourceLoader;
import org.springframework.core.io.Resource;

import javax.servlet.ServletRequest;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;

/**
 * @author 金建强(ptma @ 163.com)
 * @version 2017-03-16 22:05
 */
public class ResourceUtil {

    public static boolean fileExists(ServletRequest request, String filename) {
        if (filename == null) {
            return false;
        }
        boolean result = false;
        try {
            File file = new File(request.getServletContext().getRealPath(filename));
            if (file.exists()) {
                return true;
            }
        } catch (Exception e) {

        }
        Resource resource = null;
        DefaultResourceLoader resourceLoader = new DefaultResourceLoader();
        String[] pathPrefixs = {"", "classpath:", "/META-INF/resources", "classpath:/META-INF/resources"};
        for (String pathPrefix : pathPrefixs) {
            resource = resourceLoader.getResource(pathPrefix + filename);
            if (resource != null && resource.exists()) {
                return true;
            }
        }
        return result;
    }

    public static InputStream getResourceAsStream(ServletRequest request, String filepath)
            throws IOException {
        if (filepath == null) {
            return null;
        }
        InputStream in = request.getServletContext().getResourceAsStream(filepath);
        if (in != null) {
            return in;
        }
        DefaultResourceLoader resourceLoader = new DefaultResourceLoader();
        String[] pathPrefixs = {"", "classpath:", "/META-INF/resources", "classpath:/META-INF/resources"};
        for (String pathPrefix : pathPrefixs) {
            Resource resource = resourceLoader.getResource(pathPrefix + filepath);
            if (resource != null && resource.exists()) {
                return resource.getInputStream();
            }
        }
        return null;
    }

    public static long lastModified(ServletRequest request, String filepath) {
        long d = 0;
        try {
            try {
                File file = new File(request.getServletContext().getRealPath(filepath));
                if (file.exists()) {
                    d = file.lastModified();
                }
            } catch (Exception e) {

            }
            DefaultResourceLoader resourceLoader = new DefaultResourceLoader();
            String[] pathPrefixs = {"", "classpath:", "/META-INF/resources", "classpath:/META-INF/resources"};
            Resource resource = null;
            for (String pathPrefix : pathPrefixs) {
                resource = resourceLoader.getResource(pathPrefix + filepath);
                if (resource != null && resource.exists()) {
                    d = resource.lastModified();
                }
            }
        } catch (IOException e) {

        }
        return d;
    }
}
