package com.qhiot.kafka;

/**
 * 消费分组定义
 * 请在每个消费者定义上注明从何处订阅，并且命名最前端为topic或queue，以确定是广播还是点对点
 * @author 罗军(luoj@qh-iot.com)
 * @version 2021-05-27 15:10:46
 */
public class KafkaConsumerGroups {

    /**
     * 系統日志公共推送 使用者
     * 订阅自：CODEC_LOG
     */
    public static final String TOPIC_CODEC_LOG  = "topic_codec.log";


    /**
     * 系統日志公共推送 使用者
     * 订阅自：TOPIC_APP_LOG
     */
    public static final String  TOPIC_APP_LOG = "topic_application.logs";

    /**
     * 对象推送ConnectionData
     */
    public static final String  CONNECTION_DATA = "connection.data";

    /**
     * 对象推送CoulometerData
     */
    public static final String  COULOMETER_DATA = "coulometer.data";

    /**
     * 对象推送ElectricCabinetData
     */
    public static final String  ELECTRIC_CABINET_DATA = "electric.cabinet.data";

    /**
     * IccidData 使用者
     * 订阅自：ICCID_DATA
     * 对象推送IccidData
     */
    public static final String  QUEUE_ICCID_DATA = "queue.iccid.data";

    /**
     * 对象推送InputStateData
     */
    public static final String  INPUT_STATE_DATA = "input.state.data";

    /**
     * 使用者：历史数据api(http)推送
     * 订阅自：MONITORING_HISTORY_DATA
     * 对象推送MonitoringHistoryData
     */
    public static final String  QUEUE_MONITORING_HISTORY_DATA_API_PUSH = "queue.monitoring.history.data.api.push";


    /**
     * 使用者：通过websocket历史数据推送到页面
     * 订阅自：MONITORING_HISTORY_DATA
     * 对象推送MonitoringHistoryData
     */
    public static final String TOPIC_MONITORING_HISTORY_DATA_WEBSOCKET = "topic.monitoring.history.data.api.websocket";


    /**
     * 对象推送OnboardTagData
     */
    public static final String  ONBOARD_TAG_DATA = "ONBOARD.TAG.DATA";


    /**
     * 使用者：通过websocket 推送终端在线信息到页面，同时更新终端表
     * 订阅自：ONLINE_DATA
     * 对象推送OnlineData
     */
    public static final String  TOPIC_ONLINE_DATA_WEBSOCKET = "topic.online.data.websocket";

    /**
     * 对象推送OutputStateData
     */
    public static final String  OUTPUT_STATE_DATA = "output.state.data";

    /**
     * 对象推送PowerData
     */
    /**
     * 使用者：POWER_DATA存储
     * 订阅自：POWER_DATA
     * 对象推送PowerData
     */
    public static final String  QUEUE_POWER_DATA_SAVE = "queue.power.data.save";

    /**
     * 对象推送Rs485Data
     */
    public static final String RS485_DATA = "rs485.data";


    /**
     * 推送warningData
     */
    public static final String  SNAP_DATA = "snap.data";

    /**
     * 推送warningData
     */
    public static final String  QUEUE_SNAP_DATA_BURST = "queue.snap.data.burst";

    /**
     * 推送Tag24gData
     */
    public static final String  TAG24G_DATA = "tag24G.data";

    /**
     * 推送Tag780mData
     */
    public static final String  TAG780M_DATA = "tag780m.data";

    /**
     * 对象推送Traffic
     */
    public static final String  TRAFFIC_DATA = "traffic.data";


    /**
     * 对象推送TransformerState
     */
    public static final String  TRANSFORMER_STATE = "transformer.state";


    /**
     * 告警对象推送warningData
     */
    public static final String  WARNING_DATA = "warning.data";


    /**
     * 告警对象推送warningData
     */
    public static final String  TRANSPORT_WARNING_DATA = "transport.warning.data";


    /**
     * requestMessqge 替换原本 的
     * 订阅自：SEND_EXTENDS_REQUEST_MESSAGE
     */
    public static final String  TOPIC_EXTENDS_REQUEST_MESSAGE = "topic.extends.request.message";

    /**
     * requestMessqge  替换原本 的
     * 订阅自：SEND_EXTENDS_RESPONSE_MESSAGE
     */
    public static final String  TOPIC_EXTENDS_RESPONSE_MESSAGE = "topic.extends.response.message";

}
