package com.qhiot.kafka.serializer;


import org.apache.kafka.common.errors.SerializationException;
import org.apache.kafka.common.serialization.Deserializer;

import java.io.ByteArrayInputStream;
import java.io.ObjectInputStream;
import java.util.Arrays;

public class ObjectDeserializer implements Deserializer {

    public ObjectDeserializer() {

    }

    @Override
    public Object deserialize(String topic, byte[] data) {
        if(data == null || data.length == 0){
            return null;
        }
        try (ObjectInputStream ois =  new ObjectInputStream(new ByteArrayInputStream(data))){
            return ois.readObject();
        }catch (Exception e){
            throw new SerializationException("无法反序列化数据 [" + Arrays.toString(data) +
                "] from topic [" + topic + "]", e);
        }
    }

    @Override
    public void close() {
        // No-op
    }
}
