package com.qhiot.kafka.serializer;

import org.apache.kafka.common.errors.SerializationException;
import org.apache.kafka.common.serialization.Serializer;

import java.io.ByteArrayOutputStream;
import java.io.ObjectOutputStream;

public class ObjectSerializer implements Serializer {

    public ObjectSerializer() {

    }

    @Override
    public byte[] serialize(String topic, Object data) {
        try (ByteArrayOutputStream bos = new ByteArrayOutputStream();ObjectOutputStream oos =new ObjectOutputStream(bos)){
            oos.writeObject(data);
            oos.flush();
            bos.flush();
            return bos.toByteArray();
        }catch (Exception e){
            throw new SerializationException("无法序列化数据 [" + data + "] for topic [" + topic + "]", e);
        }
    }

    @Override
    public void close() {
        // No-op
    }
}
