package com.qhiot.log2jms;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/7/1 14:18
 */
public class LogMessage implements Serializable {

    private static final long serialVersionUID = 1573720896932656358L;

    private String            level;
    private String            logger;
    private String            message;
    private Date              time;
    private String            logNode;

    public String getLevel() {
        return level;
    }

    public LogMessage setLevel(String level) {
        this.level = level;
        return this;
    }

    public String getLogger() {
        return logger;
    }

    public LogMessage setLogger(String logger) {
        this.logger = logger;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public LogMessage setMessage(String message) {
        this.message = message;
        return this;
    }

    public Date getTime() {
        return time == null ? null : (Date) time.clone();
    }

    public String getTimeString() {
        if (time == null) {
            return "";
        } else {
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS");
            return formatter.format(time);
        }
    }

    public LogMessage setTime(Date time) {
        this.time = time == null ? null : (Date) time.clone();
        return this;
    }

    public String getLogNode() {
        return logNode == null ? "node0" : logNode;
    }

    public LogMessage setLogNode(String logNode) {
        this.logNode = logNode;
        return this;
    }
}
