package com.qhiot.log2jms.config;

import com.qhiot.log2jms.JmsLogAppenderInitializer;
import com.qhiot.log2jms.JmsLoggerKafkaSender;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @author 金建强(ptma @ 163.com)
 * @version 2016/7/1 14:47
 */
@Order(55)
@Configuration
public class Log2jmsConfig {
    private static final Logger LOGGER = LoggerFactory.getLogger("Init.log2jms");

    @Value("${app.node:0}")
    private int node;

    @Autowired
    private KafkaTemplate kafkaTemplate;

    @Value("${kafka.destinationPrefix:seem.}")
    private String destinationPrefix;

    @Bean
    public JmsLoggerKafkaSender jmsLoggerKafkaSender() {
        return new JmsLoggerKafkaSender(kafkaTemplate,destinationPrefix);
    }



    @Bean
    public JmsLogAppenderInitializer jmsAppenderInitializer() {
        return new JmsLogAppenderInitializer(jmsLoggerKafkaSender(), node);
    }
}
