package com.qhiot.log2jms.context;

import com.qhiot.log2jms.JmsLogAppenderInitializer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextClosedEvent;
import org.springframework.stereotype.Component;

/**
 * @author 金建强(ptma/@163.com)
 * @version 2017/6/15 18:41
 */
@Component("log2JmsContextClosedListener")
public class Log2JmsContextClosedListener implements ApplicationListener<ContextClosedEvent> {

    private static final Logger LOGGER = LoggerFactory.getLogger(Log2JmsContextClosedListener.class);

    @Autowired
    private JmsLogAppenderInitializer jmsLogAppenderInitializer;

    @Override
    public void onApplicationEvent(ContextClosedEvent event) {
        LOGGER.info("关闭Jms");
        if (event.getApplicationContext().getParent() == null) {
            if (jmsLogAppenderInitializer != null) {
                jmsLogAppenderInitializer.stop();
            }
        }
    }
}
