package com.qhiot.qhlinkbasic;

import com.qhiot.qhlinkbasic.logListener.ApplicationStartedEventListener;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.cache.CacheAutoConfiguration;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.boot.autoconfigure.data.redis.RedisReactiveAutoConfiguration;
import org.springframework.boot.autoconfigure.kafka.KafkaAutoConfiguration;
import org.springframework.boot.autoconfigure.validation.ValidationAutoConfiguration;
import org.springframework.boot.autoconfigure.web.servlet.WebMvcAutoConfiguration;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ImportResource;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import tk.mybatis.spring.annotation.MapperScan;

@ImportResource(value = {"classpath:spring/spring-bean.xml"})
//@EnableAsync
//@EnableScheduling
@MapperScan(basePackages = "com.qhiot.**.mapper")
@SpringBootApplication(scanBasePackages = "com.qhiot", exclude = {CacheAutoConfiguration.class, ValidationAutoConfiguration.class,
        WebMvcAutoConfiguration.class, RedisAutoConfiguration.class, RedisReactiveAutoConfiguration.class, KafkaAutoConfiguration.class})
public class QhLinkBasicApplication {

    public static void main(String[] args) {
        System.setProperty("log4j.skipJansi", "true");
//        ApplicationContext context = SpringApplication.run(QhLinkBasicApplication.class, args);
        SpringApplication app = new SpringApplication(QhLinkBasicApplication.class);
        ApplicationStartedEventListener asel = new ApplicationStartedEventListener();
        app.addListeners(asel);
        app.run(args);
;
    }
}
