/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-24 04:05:46
 */
package com.qhiot.transport.db.bean;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Entity;
import java.util.List;

/**
 * 寄存器使用情况说明
 *
 * @author 罗军
 * @version 2019-5-9
 */
@Getter
@Setter
@Entity
public class DeviceRegister {

    /**
     * 寄存器序号
     */
    private Integer index;

    /**
     * 寄存器使用情况
     * -1 不可使用 灰色
     * 0 未使用 绿色
     * 1 已使用 白送
     * 2 重复占用 红色
     */
    private Integer useable;

    /**
     * 0 内部，1外部,-1 不存在
     */
    private Integer types;

    /**
     * 信息
     */
    private String info;
    /**
     * 当类型位字，解码位的时候，存入16个长度的列表
     */
    private List<DeviceRegister> deviceRegisters;

}
