/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-12-27 03:00:02
 */
package com.qhiot.transport.db.dto;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import com.qhiot.transport.db.model.DeviceVirtualMonitoring;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: device_virtual_monitoring - 网关虚拟测点 <br/>
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2019-12-27 03:00:02
 */
@Getter
@Setter
@Entity
public class DeviceVirtualMonitoringDTO extends DeviceVirtualMonitoring {

    @Column(name = "a.index_id")
    private Long indexId;

    @Column(name = "b.value_precision")
    private Long valuePrecision;

    private Integer dataType;

    private String dataMap;

    private String unit;

    private String icon;
}
