package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.TransportResourceCore;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;

@Data
public class TransportResourceCoreDTO extends TransportResourceCore {
    @Column(name = "a.tenant_id")
    private Long tenantId;
    @Column(name = "a.monitoring_id")
    private Long monitoringId;
    @Column(name = "a.station_id")
    private Long stationId;
    @Column(name = "a.sm_id")
    private Long smId;
    @Column(name = "a.type_id")
    private Long typeId;
    @Column(name = "a.data_type")
    private Integer dataType;
    @Column(name = "a.value_type")
    private Integer valueType;
    @Column(name = "a.area_id")
    private Long areaId;

    @Column(name = "a.index_id")
    private Long    indexId;

    private String  indexName;


    private String  dataMap;

    /**
     * Column: unit - 单位
     */
    private String  unit;

    /**
     * Column: value_precision - 精度
     */
    private Integer valuePrecision;
    /**
     * 图标
     */
    private String  icon;

    /**
     * 汇总测点名称summary_name
     */
    private String summaryName;
    /**
     * 汇总测点单位summary_unit
     */
    private String summaryUnit;

    private String monitoringName;
    private String  stationName;
    public String getUnit() {
        return unit == null ? "" : unit;
    }
}
