package com.qhiot.transport.db.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class TransportResourceMonitoringDTO implements Serializable {

    private static final long serialVersionUID = 4213733651900002303L;

    private Long    monitoringId;

    /** Column: device_id - 终端编号 */
    @Length(max = 20, message = "db.transportResourceMonitoring.deviceId.Length")
    @NotBlank(message = "db.transportResourceMonitoring.deviceId.NotBlank")
    private String  deviceId;

    /** Column: config_index - 配置序号 */
    @NotNull(message = "db.transportResourceMonitoring.configIndex.NotNull")
    private Short   configIndex;

    /** Column: valid - 有效位 */
    @NotNull(message = "db.transportResourceMonitoring.valid.NotNull")
    private Short   valid = 0;

    /** Column: monitoring_index - 序号 */
    @NotNull(message = "db.transportResourceMonitoring.dataIndex.NotNull")
    private Short   dataIndex;

    /** Column: monitoring_name - 测点名称 */
    @Length(max = 50, message = "db.transportResourceMonitoring.monitoringName.Length")
    private String  monitoringName;

    /** Column: formula - 换算公式 */
    @Length(max = 200, message = "db.transportResourceMonitoring.formula.Length")
    private String  formula;

    /**
     * 监测指标ID
     */
    // @NotNull(message="db.transportResourceMonitoring.monitoringIndexId.NotNull")
    private Long    monitoringIndexId;

    private Integer writeAddress = -1;

    private Float   rating = 0f;

    private Long   advStationMonitorId;

    private String deviceName;
}
