package com.qhiot.transport.db.dto;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.qhiot.core.util.JsonUtil;
import com.qhiot.core.util.StringUtil;
import com.qhiot.transport.db.model.TransportResourceMonitoring;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @author 金建强(ptma/@163.com)
 * @version 2017/4/20 16:28
 */
@Getter
@Setter
public class TransportResourceMonitoringIndexDTO extends TransportResourceMonitoring {

    private static final long serialVersionUID = -1907510669157780562L;

    /**
     * 监测指标名称
     */
    private String            indexName;

    /**
     * 数据类型，数值型，开工量输入，开工量输出
     */
    private Short             dataType;

    /**
     * 数值型
     */
    private Short             valueType;


    /**
     * 监测指标分类ID
     */
    private Long              categoryId;

    /**
     * 监测指标分类名称
     */
    private String            categoryName;

    private String            dataMap;

    @Column(name = "A.unit")
    private String unit;

    /**
     * Column: value_precision - 精度
     */
    @Column(name = "A.value_precision")
    private Short valuePrecision;
    /**
     * 图标
     */
    private String            icon;

    public String getIcon() {
        return icon == null ? "icon-unknow" : icon;
    }


    public Map<String, String> getDataMapObject() {
        if (StringUtil.isEmpty(dataMap)) {
            return null;
        } else {
            try {
                ObjectMapper mapper = JsonUtil.newMapper();
                mapper.configure(JsonParser.Feature.ALLOW_UNQUOTED_FIELD_NAMES, false);
                mapper.configure(JsonParser.Feature.ALLOW_SINGLE_QUOTES, false);
                return mapper.readValue(dataMap, new TypeReference<LinkedHashMap<String, String>>() {});
            } catch (Exception e) {
                return null;
            }
        }
    }
}
