/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-05-19 11:33:32
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.DeviceConnectionNetworkDTO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import com.qhiot.transport.db.model.DeviceConnection;
import tk.mybatis.mapper.entity.Example;

import java.util.Date;
import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: device_connection - 终端连接 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-05-19 11:33:32
 */
public interface DeviceConnectionMapper extends Mapper<DeviceConnection>, ConditionMapper<DeviceConnection> {

    DeviceConnectionNetworkDTO selectNetworkingRateBystationId(@Param("deviceId") String deviceId,
                                                               @Param("startTime") String startTime, @Param("endTime") String endTime);

    DeviceConnection selectNormalTimeByDeviceId(@Param("deviceId") String deviceId,
                                                @Param("startTime") String startTime, @Param("endTime") String endTime);

    List<DeviceConnection> selectNoRegisterDevice(Example example);

    Integer deleteByDisconnectedTime(@Param("disconnectedTime") Date disconnectedTime, @Param("limit") Integer limit);
}
