/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-18 12:03:21
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.DeviceDTO;
import com.qhiot.transport.db.dto.DeviceSimDTO;
import com.qhiot.transport.db.dto.DeviceSimInfoDTO;
import com.qhiot.transport.db.dto.DeviceWithTenantDTO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import com.qhiot.transport.db.model.Device;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: device - 终端 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-18 12:03:21
 */
public interface DeviceMapper extends Mapper<Device>, ConditionMapper<Device> {

    /**
     * 查询已注册终端
     * @param example
     * @return List<DeviceDTO>
     * */
    List<DeviceDTO> selectDTOByExample(Example example);

    /**
     * 查询simInfo卡库中没有的device信息
     * @param example
     * @return List<DeviceDTO>
     * */
    List<DeviceSimInfoDTO> selectCheckSimDTOByExample(Example example);

    List<DeviceSimDTO> getDeviceSimDTOList();

    /**
     * 查询已注册终端及联网率
     * @param example
     * @return List<DeviceDTO>
     * */


    List<DeviceDTO> selectDTORateByExample(Example example);
    List<Device> selectByExample1(Example example);

    List<DeviceDTO> selectRatePageDTOLowPower(@Param("example") Example example, @Param("tenantId") Long tenantIde);

    List<DeviceDTO> selectRatePageDTONormal(@Param("example") Example example, @Param("tenantId") Long tenantId);

    /**
     * 根据终端编号查询
     * @param DeviceId
     * @return DeviceDTO
     * */
    DeviceDTO selectDTOByDeviceId(String DeviceId);

    DeviceDTO selectDeviceDTOByDeviceId(String DeviceId);

    /**
     * 根据终端编号查询
     * @param deviceId
     * @return DeviceDTO
     * */
    DeviceDTO selectDTOByDeviceId4Send(String deviceId);

    List<Device> selectDeviceNetWorkingRateNormal();

    List<Device> selectDeviceNetWorkingRateLowPower();

    void update2Null(@Param(value = "deviceId") String deviceId);
    /**
     * 查询所有网关以及对应的租户信息
     */
    List<DeviceWithTenantDTO> selectDeviceWithTenant(Example example);
}
