/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-20 10:15:54
 */
package com.qhiot.transport.db.mapper;

import java.util.Date;
import java.util.List;

import com.qhiot.transport.db.dto.MonitoringStatsIndexDataDTO;
import org.apache.ibatis.annotations.Param;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import com.qhiot.transport.db.dto.MonitoringDataDTO;
import com.qhiot.transport.db.dto.MonitoringStatsDataHourDTO;
import com.qhiot.transport.db.model.MonitoringData;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: monitoring_data - 测点数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-20 10:15:54
 */
public interface MonitoringDataMapper extends Mapper<MonitoringData>, ConditionMapper<MonitoringData> {

    int saveOrUpdateByPrimaryKeyAndDataTime(MonitoringData monitoringData);

    MonitoringStatsDataHourDTO selectDTOAVGHour(@Param("monitoringId") Long monitoringId,
                                                @Param("smId") Long smId,
                                                @Param("startTime") Date startTime,
                                                @Param("endTime") Date endTime);

    MonitoringDataDTO selectOneDTOByParam(@Param("deviceId") String deviceId,
                                          @Param("indexId") Long indexId);


    List<MonitoringDataDTO> selectDataDTOList(@Param("deviceIds") List<String> deviceIdList,
                                              @Param("indexIds") List<String> indexIdsList);

    /**
     *按时间查询站点指标时均值数据
     * @param stationId
     * @param indexId
     * @param startTime
     * @param endTime
     * @return MonitoringStatsIndexDataDTO
     * */
    MonitoringStatsIndexDataDTO selectDTOAVGHourByIndexId(@Param("stationId") Long stationId,
                                                          @Param("indexId") Long indexId,
                                                          @Param("startTime") Date startTime,
                                                          @Param("endTime") Date endTime);

}
