/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-07-26 10:02:48
 */
package com.qhiot.transport.db.mapper;


import com.qhiot.transport.db.dto.MonitoringDataMonthDTO;
import com.qhiot.transport.db.model.MonitoringDataMonth;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;
import java.util.Map;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: monitoring_data_month - 测点月数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-07-26 10:02:48
 */
public interface MonitoringDataMonthMapper extends Mapper<MonitoringDataMonth>, ConditionMapper<MonitoringDataMonth> {

    MonitoringDataMonthDTO selectDTOByExample(Example example);

    List<MonitoringDataMonthDTO> selectMonitorngDataMonthAccumulated();

    MonitoringDataMonth selectMonitoringMonthDataValue(Map<String, Object> map);

    MonitoringDataMonth selectMonitoringMonthDataValueFirstTime(Map<String, Object> map);

    /**
     * 根据smId查询上个月统计值
     *
     * @param smId
     * @return
     * */
    MonitoringDataMonth selectLastMonthDataBySmId(@Param("smId") Long smId);
}
