/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-06-11 05:48:13
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.TransportResourceCoreDTO;
import com.qhiot.transport.db.model.TransportResourceCore;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_resource_core - 配置信息核心表，包含配置信息的各种重要信息 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2019-06-11 05:48:13
 */
public interface TransportResourceCoreMapper extends Mapper<TransportResourceCore>, ConditionMapper<TransportResourceCore> {
    Integer selectMaxSmCodeByStationId(Long stationId);
    Integer selectMaxMonitorCodeByDeviceId(String deviceId);

    void updateSmId2Null(Long smId);
    void updateMonitoringId2Null(Long monitoringId);
    List<TransportResourceCoreDTO> selectDTOByExample(Example example);

    List<TransportResourceCore> selectUploadStationCores(@Param("tenantId") Long tenantId);

    List<TransportResourceCore> selectUploadStationCores2(@Param("tenantId") Long tenantId);
}
