/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-13 10:12:30
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.MonitoringDTO;
import com.qhiot.transport.db.dto.TransportMonitoringDataDTO;
import com.qhiot.transport.db.dto.TransportResourceMonitoringIndexDTO;
import com.qhiot.transport.db.model.TransportResourceMonitoring;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_resource_monitoring- 终端资源配置测点 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-13 10:12:30
 */
public interface TransportResourceMonitoringMapper extends Mapper<TransportResourceMonitoring>, ConditionMapper<TransportResourceMonitoring> {
    List<TransportMonitoringDataDTO> selectValidMonitoringDataDTOByExample(Example example);
    List<TransportResourceMonitoringIndexDTO> selectIndexDTOByExample(Example example);
    List<TransportResourceMonitoringIndexDTO> selectIndexDTOAll(@Param("deviceId") String deviceId);
    TransportResourceMonitoringIndexDTO selectIndexDTOByMonitoringId(@Param("monitoringId") Long monitoringId);

    List<MonitoringDTO> selectMonitoringDataMonthDTOByExample(Example example);

    void update2Null(@Param(value = "deviceId") String deviceId);

}
