/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-28 09:57:32
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import com.qhiot.transport.db.dto.TransportWarningDTO;
import com.qhiot.transport.db.model.TransportWarning;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_warning - 终端告警 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-28 09:57:32
 */
public interface TransportWarningMapper extends Mapper<TransportWarning>, ConditionMapper<TransportWarning> {

    List<TransportWarningDTO> selectDTOByExample(Example example);

    /**
     * 根据网关ID和故障代码查询最近10分钟数据
     * @param deviceId
     * @param warningCode
     * @return
     * */
    List<TransportWarning> selectByDeviceIdAndWarningCode(@Param("deviceId") String deviceId,
                                                          @Param("warningCode") String warningCode);
}
