package com.qhiot.transport.db.mapper.type;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

import com.qhiot.transport.db.model.TransportWarning;

/**
 * @author 金建强(ptma@163.com)
 * @version 2017/11/22 22:49
 */
public class WarningCodeTypeHandler extends BaseTypeHandler<TransportWarning.WarningCode> {
    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, TransportWarning.WarningCode parameter, JdbcType jdbcType) throws SQLException {
        ps.setString(i, parameter.getCode());
    }

    @Override
    public TransportWarning.WarningCode getNullableResult(ResultSet rs, String columnName) throws SQLException {
        String code = rs.getString(columnName);
        return rs.wasNull() ? null : TransportWarning.WarningCode.codeOf(code);
    }

    @Override
    public TransportWarning.WarningCode getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        String code = rs.getString(columnIndex);
        return rs.wasNull() ? null : TransportWarning.WarningCode.codeOf(code);
    }

    @Override
    public TransportWarning.WarningCode getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        String code = cs.getString(columnIndex);
        return cs.wasNull() ? null : TransportWarning.WarningCode.codeOf(code);
    }
}
