/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-04-17 06:18:28
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: device_model - 设备型号 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-04-17 06:18:28
 */
@Data
@Entity
@Table(name = "device_model")
public class DeviceModel implements Serializable {

    /** Column: model_id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "model_id")
    private Long modelId;

    /** Column: model_name - 型号 */
    @Length(max=50, message="db.deviceModel.modelName.Length")
    @NotBlank(message="db.deviceModel.modelName.NotBlank")
    private String modelName;

    /** Column: model_inner_name - 内部型号 */
    @Length(max=50, message="db.deviceModel.modelInnerName.Length")
    @NotBlank(message="db.deviceModel.modelInnerName.NotBlank")
    private String modelInnerName;

    /** Column: low_power - 低功耗版本 */
    @NotNull(message="db.deviceModel.lowPower.NotNull")
    private Boolean lowPower = Boolean.FALSE;

    /** Column: upload_period - 数据上传周期 */
    @NotNull(message="db.deviceModel.uploadPeriod.NotNull")
    @Min(value=0, message="db.deviceModel.uploadPeriod.NotNull")
    private Integer uploadPeriod;

    /** Column: upload_period - 数据上传周期 */
    @NotNull(message="db.deviceModel.uploadPeriod.NotNull")
    @Min(value=0, message="db.deviceModel.uploadPeriod.NotNull")
    private Byte commPort;
}
