/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-08-30 04:02:06
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: device_net_param - 终端网络数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-08-30 04:02:06
 */
@Data
@Entity
@Table(name = "device_net_param")
public class DeviceNetParam implements Serializable {

    /** Column: device_param_id - ID */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "device_param_id")
    private Long deviceParamId;

    /** Column: gw_gatewayAddr - 终端编号 */
    @NotNull(message="db.deviceNetParam.gwGatewayaddr.NotNull")
    private Integer gwGatewayaddr;

    /** Column: gw_initMark - 初始化标志 */
    @NotNull(message="db.deviceNetParam.gwInitmark.NotNull")
    private Short gwInitmark;

    /** Column: gw_deviceName - 终端名称 */
    @Length(max=200, message="db.deviceNetParam.gwDevicename.Length")
    @NotBlank(message="db.deviceNetParam.gwDevicename.NotBlank")
    private String gwDevicename;

    /** Column: gw_serialNumber - 序列号 */
    @Length(max=200, message="db.deviceNetParam.gwSerialnumber.Length")
    @NotBlank(message="db.deviceNetParam.gwSerialnumber.NotBlank")
    private String gwSerialnumber;

    /** Column: gw_softwareVersion - 软件版本 */
    @Length(max=200, message="db.deviceNetParam.gwSoftwareversion.Length")
    @NotBlank(message="db.deviceNetParam.gwSoftwareversion.NotBlank")
    private String gwSoftwareversion;

    /** Column: gw_hardwareVersion - 硬件版本 */
    @Length(max=200, message="db.deviceNetParam.gwHardwareversion.Length")
    @NotBlank(message="db.deviceNetParam.gwHardwareversion.NotBlank")
    private String gwHardwareversion;

    /** Column: gw_serverIP - 服务器IP */
    @Length(max=200, message="db.deviceNetParam.gwServerip.Length")
    @NotBlank(message="db.deviceNetParam.gwServerip.NotBlank")
    private String gwServerip;

    /** Column: gw_serverPort - 服务器端口 */
    @NotNull(message="db.deviceNetParam.gwServerport.NotNull")
    private Integer gwServerport;

    /** Column: gw_server2IP - 备用服务器 */
    @Length(max=200, message="db.deviceNetParam.gwServer2ip.Length")
    @NotBlank(message="db.deviceNetParam.gwServer2ip.NotBlank")
    private String gwServer2ip;

    /** Column: gw_server2Port - 备用端口 */
    @NotNull(message="db.deviceNetParam.gwServer2port.NotNull")
    private Integer gwServer2port;

    /** Column: gw_deviceIP - 本机IP */
    @Length(max=200, message="db.deviceNetParam.gwDeviceip.Length")
    @NotBlank(message="db.deviceNetParam.gwDeviceip.NotBlank")
    private String gwDeviceip;

    /** Column: gw_devicePort - 本机端口 */
    @NotNull(message="db.deviceNetParam.gwDeviceport.NotNull")
    private Integer gwDeviceport;

    /** Column: gw_subnetMask - 子网掩码 */
    @Length(max=200, message="db.deviceNetParam.gwSubnetmask.Length")
    @NotBlank(message="db.deviceNetParam.gwSubnetmask.NotBlank")
    private String gwSubnetmask;

    /** Column: gw_gatewayIP - 网关 */
    @Length(max=200, message="db.deviceNetParam.gwGatewayip.Length")
    @NotBlank(message="db.deviceNetParam.gwGatewayip.NotBlank")
    private String gwGatewayip;

    /** Column: gw_heartbeatPeriod - 心跳周期 */
    @NotNull(message="db.deviceNetParam.gwHeartbeatperiod.NotNull")
    private Integer gwHeartbeatperiod;

    /** Column: gw_gprsRssi - GPRS信号值 */
    @NotNull(message="db.deviceNetParam.gwGprsrssi.NotNull")
    private Byte gwGprsrssi;

    /** Column: gw_wirelessPower - 433无线发射功率 */
    @NotNull(message="db.deviceNetParam.gwWirelesspower.NotNull")
    private Byte gwWirelesspower;

    /** Column: gw_speakerClosed - 喇叭关闭标志 */
    @NotNull(message="db.deviceNetParam.gwSpeakerclosed.NotNull")
    private Byte gwSpeakerclosed;

    /** Column: gw_manualIO - 输入输出手动运行标志 */
    @NotNull(message="db.deviceNetParam.gwManualio.NotNull")
    private Byte gwManualio;

    /** Column: gw_reserved1 - 预留参数1 */
    @NotNull(message="db.deviceNetParam.gwReserved1.NotNull")
    private Integer gwReserved1;

    /** Column: gw_reserved2 - 预留参数2 */
    @NotNull(message="db.deviceNetParam.gwReserved2.NotNull")
    private Integer gwReserved2;

    /** Column: gw_reserved3 - 预留参数3 */
    @NotNull(message="db.deviceNetParam.gwReserved3.NotNull")
    private Integer gwReserved3;

    /** Column: gw_reserved4 - 预留参数4 */
    @NotNull(message="db.deviceNetParam.gwReserved4.NotNull")
    private Integer gwReserved4;

    /** Column: gw_reserved5 - 预留参数5 */
    @NotNull(message="db.deviceNetParam.gwReserved5.NotNull")
    private Integer gwReserved5;

    /** Column: gw_reserved6 - 预留参数6 */
    @NotNull(message="db.deviceNetParam.gwReserved6.NotNull")
    private Byte gwReserved6;

    /** Column: gw_reserved7 - 预留参数7 */
    @NotNull(message="db.deviceNetParam.gwReserved7.NotNull")
    private Byte gwReserved7;

    /** Column: gw_reserved8 - 预留参数8 */
    @NotNull(message="db.deviceNetParam.gwReserved8.NotNull")
    private Byte gwReserved8;

    /** Column: gw_reserved9 - 预留参数9 */
    @NotNull(message="db.deviceNetParam.gwReserved9.NotNull")
    private Byte gwReserved9;

    /** Column: gw_reserved10 - 预留参数10 */
    @NotNull(message="db.deviceNetParam.gwReserved10.NotNull")
    private Byte gwReserved10;

    /** Column: gw_timestamp - 时间戳 */
    @Length(max=200, message="db.deviceNetParam.gwTimestamp.Length")
    @NotBlank(message="db.deviceNetParam.gwTimestamp.NotBlank")
    private String gwTimestamp;

    /** Column: gw_manufactureDate - 出厂时间 */
    @Length(max=200, message="db.deviceNetParam.gwManufacturedate.Length")
    @NotBlank(message="db.deviceNetParam.gwManufacturedate.NotBlank")
    private String gwManufacturedate;

    /** Column: gw_cumulativeOperatingTime - 累计工作时间 */
    @NotNull(message="db.deviceNetParam.gwCumulativeoperatingtime.NotNull")
    private Integer gwCumulativeoperatingtime;

    /** Column: gw_chipId - 芯片唯一ID */
    @Length(max=200, message="db.deviceNetParam.gwChipid.Length")
    @NotBlank(message="db.deviceNetParam.gwChipid.NotBlank")
    private String gwChipid;

}
