/*
 * ! CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-11-13 01:19:13
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

/**
 * Table: device_network_traffic - 终端传输流量 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-11-13 01:19:13
 */
@Getter
@Setter
@Entity
@Table(name = "device_network_traffic")
public class DeviceNetworkTraffic implements Serializable {

    /** Column: traffic_id - 流量记录ID */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "traffic_id")
    private Long    trafficId;

    /** Column: device_id - 终端编号 */
    private String  deviceId;

    /** Column: upstream - 上行(字节) */
    private Integer upstream;

    /** Column: downstream - 下行(字节) */
    private Integer downstream;

    /** Column: traffic_time - 流量记录时间 */
    private Date    trafficTime;

    public Integer getDownstream() {
        if (downstream == null) {
            downstream = 0;
        }
        return downstream;
    }

    public Integer getUpstream() {
        if (upstream == null) {
            upstream = 0;
        }
        return upstream;
    }

    public Integer getTotal() {
        return getUpstream() + getDownstream();
    }
}
