/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-07-20 02:01:35
 */
package com.qhiot.transport.db.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * Table: device_network_traffic_month - 月设备使用流量 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-07-20 02:01:35
 */
@Data
@Entity
@Table(name = "device_network_traffic_month")
public class DeviceNetworkTrafficMonth implements Serializable {

    /** Column: traffic_month_id - 流量统计记录ID */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "traffic_month_id")
    private Long trafficMonthId;

    /** Column: device_id - 设备号 */
    @Length(max=50, message="db.deviceNetworkTrafficMonth.deviceId.Length")
    @NotBlank(message="db.deviceNetworkTrafficMonth.deviceId.NotBlank")
    private String deviceId;

    /** Column: statistics - 累计流量(字节) */
    @NotNull(message="db.deviceNetworkTrafficMonth.statistics.NotNull")
    private Integer statistics;

    /** Column: traffic_time - 流量记录时间 */
    @NotNull(message="db.deviceNetworkTrafficMonth.trafficTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date trafficTime;

    /** Column: reserve - 备用字段 */
    private String reserve;
}
