/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-02-05 01:58:26
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Data;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

/**
 * Table: device_power_state - 终端上电掉电记录 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-02-05 01:58:26
 */
@Data
@Entity
@Table(name = "device_power_state")
public class DevicePowerState implements Serializable {

    /** Column: state_id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "state_id")
    private Long stateId;

    /** Column: device_id - 终端编号 */
    @Length(max=20, message="db.devicePowerState.deviceId.Length")
    @NotBlank(message="db.devicePowerState.deviceId.NotBlank")
    private String deviceId;

    /**
     * Column: power_state - 电源状态
     * 0:掉电, 1:上电
     */
    @NotNull(message="db.devicePowerState.powerState.NotNull")
    private Integer powerState;

    /** Column: state_time - 状态时间戳 */
    @NotNull(message="db.devicePowerState.stateTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date stateTime;

}
