/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2018-07-19 10:33:30
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Data;

/**
 * Table: device_production -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-07-19 10:33:30
 */
@Data
@Entity
@Table(name = "device_production")
public class DeviceProduction implements Serializable {

    /** Column: device_id - 终端编号 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "device_id")
    private String deviceId;

    /** Column: device_model - 终端类型 */
    @Length(max=20, message="db.deviceProduction.deviceModel.Length")
    private String deviceModel;

    /** Column: production_date - 出厂时间 */
    @NotNull(message="db.deviceProduction.productionDate.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date productionDate;

}
