/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-12-27 03:00:02
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Data;

/**
 * Table: device_virtual_monitoring - 网关虚拟测点 <br/>
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2019-12-27 03:00:02
 */
@Data
@Entity
@Table(name = "device_virtual_monitoring")
public class DeviceVirtualMonitoring implements Serializable {

    /**
     * Column: vm_id - 主键
     */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "vm_id")
    private Long vmId;

    /**
     * Column: device_id - 网关ID
     */
    @NotNull(message = "db.deviceVirtualMonitoring.deviceId.NotNull")
    private String deviceId;

    /**
     * Column: vm_name - 测点名称
     */
    @Length(max = 200, message = "db.deviceVirtualMonitoring.vmName.Length")
    @NotBlank(message = "db.deviceVirtualMonitoring.vmName.NotBlank")
    private String vmName;

    /**
     * Column: formula - 换算公式
     */
    @Length(max = 100, message = "db.deviceVirtualMonitoring.formula.Length")
    private String formula;

    /**
     * Column: index_id - 指标
     */
    @NotNull(message = "db.deviceVirtualMonitoring.indexId.NotNull")
    private Long indexId;

    /**
     * Column: monitoring_id - 对应的网关测点id
     */
    @NotNull(message = "db.deviceVirtualMonitoring.monitoringId.NotNull")
    private Long monitoringId;

    /**
     * Column: valid - 有效
     */
    @NotNull(message = "db.stationVirtualMonitoring.valid.NotNull")
    private Short valid;

    /**
     * Column: station_vm_id - 对应的上层站点配置id
     */
    private Long stationVmId;

}
