/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-12-27 03:00:15
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Data;

/**
 * Table: device_virtual_monitoring_relational - 网关虚拟测点关系表 <br/>
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2019-12-27 03:00:15
 */
@Data
@Entity
@Table(name = "device_virtual_monitoring_relational")
public class DeviceVirtualMonitoringRelational implements Serializable {

    /**
     * Column: vm_relational_id - 主键
     */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "vm_relational_id")
    private Long vmRelationalId;

    /**
     * Column: vm_id - 虚拟测点ID
     */
    @NotNull(message = "db.deviceVirtualMonitoringRelational.vmId.NotNull")
    private Long vmId;

    /**
     * Column: monitoring_id - 测点id
     */
    @NotNull(message = "db.deviceVirtualMonitoringRelational.monitoringId.NotNull")
    private Long monitoringId;

    /**
     * Column: sign - 标记
     */
    @NotNull(message = "db.deviceVirtualMonitoringRelational.sign.NotNull")
    private Short sign;

    /**
     * Column: symbol - 变量名
     */
    @NotNull(message = "db.deviceVirtualMonitoringRelational.symbol.NotNull")
    private String symbol;

    /**
     * Column: symbol - 最后有效时间
     */
    @NotNull(message = "db.deviceVirtualMonitoringRelational.finalInterval.NotNull")
    private Integer finalInterval;

}
