/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2018-08-06 02:46:18
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Data;

/**
 * Table: firmware_manage - 固件管理 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-08-06 02:46:18
 */
@Data
@Entity
@Table(name = "firmware_manage")
public class FirmwareManage implements Serializable {

    /** Column: firmware_id - 固件ID */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "firmware_id")
    private Long firmwareId;

    /** Column: tenant_id - 租户id */
    @NotNull(message="db.firmwareManage.tenantId.NotNull")
    private Long tenantId;

    /** Column: firmware_name - 固件名称 */
    @Length(max=60, message="db.firmwareManage.firmwareName.Length")
    @NotBlank(message="db.firmwareManage.firmwareName.NotBlank")
    private String firmwareName;

    /** Column: firmware_type - 固件类型 */
    @NotNull(message="db.firmwareManage.firmwareType.NotNull")
    private Integer firmwareType;

    /** Column: firmware_version - 固件版本号 */
    @Length(max=30, message="db.firmwareManage.firmwareVersion.Length")
    @NotBlank(message="db.firmwareManage.firmwareVersion.NotBlank")
    private String firmwareVersion;

    /** Column: firmware_signature_algorithm - 签名算法 */
    @NotNull(message="db.firmwareManage.firmwareSignatureAlgorithm.NotNull")
    private Integer firmwareSignatureAlgorithm;

    /** Column: firmware_describe - 固件描述 */
    @Length(max=255, message="db.firmwareManage.firmwareDescribe.Length")
    @NotBlank(message="db.firmwareManage.firmwareDescribe.NotBlank")
    private String firmwareDescribe;

    /** Column: upload_time - 上传时间 */
    @NotNull(message="db.firmwareManage.uploadTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date uploadTime;

    /** Column: upload_user - 上传用户 */
    @NotNull(message="db.firmwareManage.uploadUser.NotNull")
    private Long uploadUser;

    /** Column: firmware_filekey - 固件文件key */
    @Length(max=50, message="db.firmwareManage.firmwareFilekey.Length")
    @NotBlank(message="db.firmwareManage.firmwareFilekey.NotBlank")
    private String firmwareFilekey;

    /** Column: reserve - 备用字段 */
    @Length(max=20, message="db.firmwareManage.reserve.Length")
    private String reserve;

}
