/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2021-07-06 03:46:47
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: influx_save_duration_config - 历史数据存储周期 <br/>
 *
 * @author 罗军(luoj@qh-iot.com)
 * @version 2021-07-06 03:46:47
 */
@Data
@Entity
@Table(name = "influx_save_duration_config")
public class InfluxSaveDurationConfig implements Serializable {

    /** Column: tenant_id - 项目id */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "tenant_id")
    private Long tenantId;

    /** Column: duration - 存储周期(分钟) */
    @NotNull(message="db.influxSaveDurationConfig.duration.NotNull")
    private Long duration;

}
