/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2021-05-31 03:06:03
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: kafka_switch_config - 消息推送配置 <br/>
 *
 * @author 罗军(luoj@qh-iot.com)
 * @version 2021-05-31 03:06:03
 */
@Data
@Entity
@Table(name = "kafka_switch_config")
public class KafkaSwitchConfig implements Serializable {

    /** Column: id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "id")
    private String id;

    /** Column: topic_destinations - 设备名称 */
    @Length(max=255, message="db.kafkaSwitchConfig.topicDestinations.Length")
    @NotBlank(message="db.kafkaSwitchConfig.topicDestinations.NotBlank")
    private String topicDestinations;

    /** Column: pass - 是否允许推送 0不允许，1允许*/
    @NotNull(message="db.kafkaSwitchConfig.pass.NotNull")
    private Integer pass;

    /** Column: remark - 说明 */
    @Length(max=255, message="db.kafkaSwitchConfig.remark.Length")
    @NotBlank(message="db.kafkaSwitchConfig.remark.NotBlank")
    private String remark;

    public boolean canPass(){
        return (pass != null && pass != 0) ? true : false;
    }

}
