/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2018-12-19 02:19:28
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Data;

/**
 * Table: lib_device_register_allot - 终端寄存器分配库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:19:28
 */
@Data
@Entity
@Table(name = "lib_device_register_allot")
public class LibDeviceRegisterAllot implements Serializable {

    /** Column: id - id */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "id")
    private Long id;

    /** Column: model_id - 终端类型id */
    @NotNull(message="db.libDeviceRegisterAllot.modelId.NotNull")
    private Long modelId;

    /** Column: register_type - 寄存器类型 */
    @NotNull(message="db.libDeviceRegisterAllot.registerType.NotNull")
    private Short registerType;

    /** Column: end_address - 起始地址 */
    @NotNull(message="db.libDeviceRegisterAllot.endAddress.NotNull")
    private Integer endAddress;

    /** Column: start_address - 结束地址 */
    @NotNull(message="db.libDeviceRegisterAllot.startAddress.NotNull")
    private Integer startAddress;

}
