/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 01:42:11
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: lib_equipemnt_type - 设备类型库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 01:42:11
 */
@Data
@Entity
@Table(name = "lib_equipemnt_type")
public class LibEquipemntType implements Serializable {

    /** Column: equipment_type_id - 设备类型主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "equipment_type_id")
    private Long equipmentTypeId;

    /** Column: equipment_type_name - 类型名称 */
    @Length(max=200, message="db.libEquipemntType.equipmentTypeName.Length")
    @NotBlank(message="db.libEquipemntType.equipmentTypeName.NotBlank")
    private String equipmentTypeName;

    /** Column: type_code - 类型代码 */
    @NotNull(message="db.libEquipemntType.typeCode.NotNull")
    private Short typeCode;

    /** Column: connect_type - 接入类型 */
    @NotNull(message="db.libEquipemntType.connectType.NotNull")
    private Short connectType;

    /** Column: readonly - 只读 */
    @NotNull(message="db.libEquipemntType.readonly.NotNull")
    private Short readonly;

    /** Column: remake - 备注 */
    @Length(max=254, message="db.libEquipemntType.remake.Length")
    private String remake;

}
