/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-08-20 05:47:32
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Data;

/**
 * Table: lib_equipment_faultcode -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2019-08-20 05:47:32
 */
@Data
@Entity
@Table(name = "lib_equipment_faultcode")
public class LibEquipmentFaultcode implements Serializable {

    /** Column: equipment_faultcode_id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "equipment_faultcode_id")
    private Long equipmentFaultcodeId;

    /** Column: equipment_id - 设备ID */
    @NotNull(message="db.libEquipmentFaultcode.equipmentId.NotNull")
    private Long equipmentId;

    /** Column: fault_code_id - 告警代码ID */
    @NotNull(message="db.libEquipmentFaultcode.faultCodeId.NotNull")
    private Long faultCodeId;

}
