/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:19:02
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: lib_equipment_monitoring - 设备测点库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:19:02
 */
@Data
@Entity
@Table(name = "lib_equipment_monitoring")
public class LibEquipmentMonitoring implements Serializable {

    /** Column: equipment_monitor_id - 设备测点id */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "equipment_monitor_id")
    private Long equipmentMonitorId;

    /** Column: equipment_id - 设备id */
    private Long equipmentId;

    /** Column: monitor_name - 测点名称 */
    @Length(max=200, message="db.libEquipmentMonitoring.monitorName.Length")
    @NotBlank(message="db.libEquipmentMonitoring.monitorName.NotBlank")
    private String monitorName;

    /** Column: index_id - 指标id */
    @NotNull(message="db.libEquipmentMonitoring.indexId.NotNull" )
    private Long indexId;

    /** Column: value_precision - 精度 */
//    @NotNull(message="db.libEquipmentMonitoring.valuePrecision.NotNull" ,groups = GroupM.class)
    private Short valuePrecision;

    /** Column: floor_limit - 下限 */
    private Double floorLimit;

    /** Column: upper_limit - 上限 */
    private Double upperLimit;

    /** Column: register_type - 寄存器类型(功能码) */
    private Short registerType;
    /** Column: read_only - 读写类型((1只读，0读写)) */
    @NotNull(message="db.libEquipmentMonitoring.readOnly.NotNull")
    private Short readOnly;

    /** Column: starting_addr - 起始地址 */
//    @NotNull(message="db.libEquipmentMonitoring.startingAddr.NotNull" ,groups = Group485.class)
    @Length(max=100, message="db.libEquipmentMonitoring.startingAddr.Length")
    private String startingAddr;

    /** Column: method - 解码方式 */
//    @NotNull(message="db.libEquipmentMonitoring.method.NotNull")
    private Short method;

    /** Column: formula - 换算公式 */
    @Length(max=200, message="db.libEquipmentMonitoring.formula.Length")
    private String formula;

    /** Column: keys_monitor - 关键测点 */
    private Short keysMonitor;
    @NotNull(message="db.libEquipmentMonitoring.monitorControl.NotNull")
    private Short monitorControl;

    //    @NotNull(message="db.libEquipmentMonitoring.libMonitoringSequence.NotNull")
    private Integer libMonitoringSequence;

    private Integer isUse;

    private Long keysId;

    public  interface GroupIO {

    }
    public  interface Group485 {

    }
    public  interface GroupM {

    }
    public  interface GroupC {

    }
}
