/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:17:45
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.GroupSequence;
import javax.validation.constraints.NotNull;
import javax.validation.groups.Default;
import java.io.Serializable;

/**
 * Table: lib_keys_monitor - 关键测控点 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:17:45
 */
@Data
@Entity
@Table(name = "lib_keys_monitor")
public class LibKeysMonitor implements Serializable {

    /** Column: keys_id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "keys_id")
    private Long keysId;

    /** Column: equipment_type_id - 设备类型id */
    @NotNull(message="db.libKeysMonitor.equipmentTypeId.NotNull")
    private Long equipmentTypeId;

    /** Column: keys_name - 测控点名称 */
    @Length(max=20, message="db.libKeysMonitor.keysName.Length")
    @NotBlank(message="db.libKeysMonitor.keysName.NotBlank")
    private String keysName;

    /** Column: monitor_id - 指标 */
    @NotNull(message="db.libKeysMonitor.monitorId.NotNull")
    private Long monitorId;

    @NotNull(message="db.libKeysMonitor.monitorControl.NotNull")
    private Short monitorControl;

    //    @NotNull(message="db.libKeysMonitor.libMonitoringSequence.NotNull")
    private Integer libMonitoringSequence;
}



