/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-08-07 02:09:06
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Data;

/**
 * Table: lib_monitoring_next_no - 设备库设备下一个序号 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2019-08-07 02:09:06
 */
@Data
@Entity
@Table(name = "lib_monitoring_next_no")
public class LibMonitoringNextNo implements Serializable {

    /**
     * Column: is_type - 申请序号的类型 0 设备，1类型
     */
    @Id
    @Column(name = "is_type")
    private Integer isType;

    /**
     * Column: lib_equipment_monitor_id - 设备库设备主键
     */
    @Id
    @Column(name = "lib_equipment_monitor_id")
    private Long libEquipmentMonitorId;

    /**
     * Column: next_no - 下一个序号
     */
    private Integer nextNo;

}
