/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-20 10:15:54
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * Table: monitoring_data - 测点数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-20 10:15:54
 */
@Getter
@Setter
@Entity
@Table(name = "monitoring_data")
public class MonitoringData implements Serializable {

    /** Column: device_id - 终端编号 */
    @Id
    @Column(name = "device_id")
    private String deviceId;

    /** Column: monitoring_id - 测点编号 */
    @Id
    @Column(name = "monitoring_id")
    private Long monitoringId;

    @Column(name = "index_id")
    private Long indexId;

    /** Column: data_value - 采样值 */
    @NotNull(message="db.monitoringData.dataValue.NotNull")
    private Double dataValue;

    /** Column: data_time - 采样时间 */
    @NotNull(message="db.monitoringData.dataTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataTime;

    /** Column: received_time - 接收时间 */
    @NotNull(message="db.monitoringData.receivedTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date receivedTime;

}
