/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-07-26 09:54:19
 */
package com.qhiot.transport.db.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * Table: monitoring_data_day - 测点日数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-07-26 09:54:20
 */
@Getter
@Setter
@Entity
@Table(name = "monitoring_data_day")
public class MonitoringDataDay implements Serializable {

    private static final long serialVersionUID = -8445481218627123578L;
    /** Column: data_id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "data_id")
    private Long dataId;

    /** Column: device_id - 终端编号 */
    @Length(max=50, message="db.monitoringDataDay.deviceId.Length")
    @NotBlank(message="db.monitoringDataDay.deviceId.NotBlank")
    private String deviceId;

    /** Column: monitoring_id - 测点编号 */
    @NotNull(message="db.monitoringDataDay.monitoringId.NotNull")
    private Long monitoringId;

    private Long smId;

    private Long indexId;

    /** Column: data_value - 采样值 */
    @NotNull(message="db.monitoringDataDay.dataValue.NotNull")
    private Double dataValue;

    /** Column: data_time - 采样时间 */
    @NotNull(message="db.monitoringDataDay.dataTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataTime;

    /** Column: received_time - 接收时间 */
    @NotNull(message="db.monitoringDataDay.receivedTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date receivedTime;






}
