/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2018-09-28 11:02:21
 */
package com.qhiot.transport.db.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * Table: notice -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-09-28 11:02:21
 */
@Data
@Entity
@Table(name = "notice")
public class Notice implements Serializable {

    /** Column: notice_id - id */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "notice_id")
    private Long noticeId;

    /** Column: tenant_manager_id - 租户ID */
    @NotNull(message="web.notice.tenantManagerId.NotNull")
    private Long tenantManagerId;

    /** Column: tenant_id - 项目ID */
    @NotNull(message="web.notice.tenantId.NotNull")
    private Long tenantId;

    /** Column: notice_content - 消息内容 */
    @Length(max=255, message="web.notice.noticeContent.Length")
    @NotBlank(message="web.notice.noticeContent.NotBlank")
    private String noticeContent;

    /** Column: notice_state - 状态 */
    @NotNull(message="web.notice.noticeState.NotNull")
    private Integer noticeState;

    /** Column: notice_type - 消息类型 */
    @NotNull(message="web.notice.noticeType.NotNull")
    private Integer noticeType;

    /** Column: notice_createtime - 创建时间 */
    @NotNull(message="web.notice.noticeCreatetime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date noticeCreatetime;

    private Long noticeFkid;

}
