/*
 * ! CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

/**
 * Table: transport_ascii_param - 动态参数 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:42
 */
@Getter
@Setter
@Entity
@Table(name = "transport_ascii_param")
public class TransportAsciiParam implements Serializable {

    /** Column: param_id - 主键ID */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    private Long paramId;

    /** Column: device_id - 终端编号 */
    @Length(max=20, message="transport.transportAsciiParam.deviceId.Length")
    @NotBlank(message="transport.transportAsciiParam.deviceId.NotBlank")
    private String deviceId;

    /** Column: param_key - 参数 */
    @Length(max=20, message="transport.transportAsciiParam.paramKey.Length")
    @NotBlank(message="transport.transportAsciiParam.paramKey.NotBlank")
    private String paramKey;

    /** Column: param_value - 参数值 */
    @Length(max=100, message="transport.transportAsciiParam.paramValue.Length")
    private String paramValue;

    /** Column: readable - 是否读参数 */
    private Short readable;

    /** Column: setup_time - 设置时间 */
    @NotNull(message="transport.transportAsciiParam.setupTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date setupTime;

    /** Column: synchronous_value - 同步值 */
    @Length(max=100, message="transport.transportAsciiParam.synchronousValue.Length")
    private String synchronousValue;

    /** Column: synchronous_time - 同步时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date synchronousTime;

}
