/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:51
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

/**
 * Table: transport_ascii_param_history - 动态参数历史 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:51
 */
@Getter
@Setter
@Entity
@Table(name = "transport_ascii_param_history")
public class TransportAsciiParamHistory implements Serializable {

    /** Column: param_id - 主键ID */
    @Id
    @Key(type= KeyType.SNOWFLAKE)
    private Long paramId;

    /** Column: device_id - 终端编号 */
    private String deviceId;

    /** Column: param_key - 参数 */
    private String paramKey;

    /** Column: param_value - 参数值 */
    private String paramValue;

    /** Column: upload_time - 参数时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date paramTime;

    /** Column: upload_time - 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date uploadTime;







}
