/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-01-18 10:35:54
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

/**
 * Table: transport_ascii_param_library -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-01-18 10:35:54
 */
@Getter
@Setter
@Entity
@Table(name = "transport_ascii_param_library")
public class TransportAsciiParamLibrary implements Serializable {

    /** Column: param_field - 参数 */
    @Id
    @Length(max=10, message="transport.paramLibrary.paramField.Length")
    @NotBlank(message="transport.paramLibrary.paramField.NotBlank")
    private String paramField;

    /** Column: param_name - 参数名 */
    @Length(max=50, message="transport.paramLibrary.paramName.Length")
    @NotBlank(message="transport.paramLibrary.paramName.NotBlank")
    private String paramName;

    /** Column: field_unit - 参数单位 */
    @Length(max=20, message="transport.paramLibrary.fieldUnit.Length")
    private String fieldUnit;

}
