/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-28 09:57:24
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

/**
 * Table: transport_attendance - 考勤原始数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-28 09:57:24
 */
@Getter
@Setter
@Entity
@Table(name = "transport_attendance")
public class TransportAttendance implements Serializable {

    /** Column: id - 主键ID */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "id")
    private Long id;

    /** Column: device_id - 终端编号 */
    @Length(max=50, message="db.transportAttendance.deviceId.Length")
//    @NotBlank(message="db.transportAttendance.deviceId.NotBlank")
    private String deviceId;

    /** Column: tag_id - 标签号 */
    @Length(max=50, message="db.transportAttendance.tagId.Length")
//    @NotBlank(message="db.transportAttendance.tagId.NotBlank")
    private String tagId;

    /** Column: enter_time - 进入时间 */
    @NotNull(message="db.transportAttendance.enterTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date enterTime;

    /** Column: leave_time - 离开时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date leaveTime;

    /** Column: task_type - 考勤类型  0  考勤卡   1 手机 */
    private  Integer attendanceType;

    /** Column: station_id -  */
    private Long stationId;

    /** Column: user_id -  */
    private Long userId;

    /** Column: user_name -  */
    private String userName;

}
