/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-05-23 06:05:02
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

import lombok.Getter;
import lombok.Setter;

/**
 * Table: transport_decoder - 解码器脚本 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-05-23 06:05:02
 */
@Getter
@Setter
@Entity
@Table(name = "transport_decoder")
public class TransportDecoder implements Serializable {

    /** Column: id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "id")
    private Long id;

    /** Column: category - 分类 */
    @Length(max=50, message="db.transportDecoder.category.Length")
    @NotBlank(message="db.transportDecoder.category.NotBlank")
    private String category;

    /** Column: name - 名称 */
    @Length(max=200, message="db.transportDecoder.name.Length")
    @NotBlank(message="db.transportDecoder.name.NotBlank")
    private String name;

    /** Column: content - 内容 */
    @Length(max=65535, message="db.transportDecoder.content.Length")
    @NotBlank(message="db.transportDecoder.content.NotBlank")
    private String content;

    /** Column: modification_time - 修改时间 */
    @NotNull(message="db.transportDecoder.modificationTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date modificationTime;

    /** Column: disabled - 停用标记 */
    @NotNull(message="db.transportDecoder.disabled.NotNull")
    private Integer disabled;

}
