/*
 * ! CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-05-18 01:28:56
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.nio.ByteOrder;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Data;

import org.hibernate.validator.constraints.Range;

import com.qhiot.core.util.ByteUtil;

import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;

/**
 * Table: transport_equipment_monitoring - 设备测点配置 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-05-18 01:28:56
 */
@Data
@Entity
@Table(name = "transport_equipment_monitoring")
public class TransportEquipmentMonitoring implements Serializable {

    /** Column: device_id - 设备编号 */
    @Id
    @Column(name = "device_id")
    private String deviceId;

    /** Column: valid - 有效位 */
    @NotNull(message = "db.transportEquipmentMonitoring.valid.NotNull")
    private Byte   valid;

    /** Column: config_index - 配置序号 */
    @Id
    @Column(name = "config_index")
    private Short  configIndex;

    /** Column: equipment_index - 设备序号 */
    @NotNull(message = "db.transportEquipmentMonitoring.equipmentIndex.NotNull")
    private Short  equipmentIndex;

    /** Column: protocol - 协议类型 */
    @NotNull(message = "db.transportEquipmentMonitoring.protocol.NotNull")
    private Byte   protocol;

    /** Column: address - 设备站号 */
    @NotNull(message = "db.transportEquipmentMonitoring.address.NotNull")
    private Short   address;

    /** Column: register_type - 寄存器类型 */
    @NotNull(message = "db.transportEquipmentMonitoring.registerType.NotNull")
    private Byte   registerType;

    /** Column: register_address - 寄存器地址 */
    @NotNull(message = "db.transportEquipmentMonitoring.registerAddress.NotNull")
    private Short  registerAddress;

    /** Column: data_length - 数据长度 */
    @NotNull(message = "db.transportEquipmentMonitoring.dataLength.NotNull")
    private Short  dataLength;

    /** Column: method - 解码方式 */
    @NotNull(message = "db.transportEquipmentMonitoring.method.NotNull")
    private Byte   method;

    /** Column: data_quantity - 测点数量 */
    @NotNull(message = "db.transportEquipmentMonitoring.dataQuantity.NotNull")
    @Range(min = 1, max = 32, message = "db.transportEquipmentMonitoring.dataQuantity.Range")
    private Byte   dataQuantity;

    /** Column: dead_zone - 死区设置 */
    @NotNull(message = "db.transportEquipmentMonitoring.deadZone.NotNull")
    private Float  deadZone;

    /** Column: period - 采集周期(秒) */
    @NotNull(message = "db.transportEquipmentMonitoring.period.NotNull")
    @Range(min = 1, max = 65535, message = "db.transportEquipmentMonitoring.period.Range")
    private Integer  period;

    /** Column: store_register_type - 转存寄存器类型 */
    @NotNull(message = "db.transportEquipmentMonitoring.storeRegisterType.NotNull")
    private Byte   storeRegisterType = 0;

    /** Column: store_register_address - 转存寄存器地址 */
    @NotNull(message = "db.transportEquipmentMonitoring.storeRegisterAddress.NotNull")
    private Short  storeRegisterAddress;

    /** Column: rw - 读写设置 */
    @NotNull(message = "db.transportEquipmentMonitoring.rw.NotNull")
    private Byte   rw;

    /** Column: link_index - 连接序号 */
    @NotNull(message = "db.transportEquipmentMonitoring.unionIndex.NotNull")
    private Short  unionIndex;

    public Long getDtlNo() {
        try {
            if (address != null && registerType != null && registerAddress != null && dataLength != null) {
                ByteBuf buf = Unpooled.buffer(6);
                buf.writeByte(address);
                buf.writeByte(registerType);
                buf.writeShortLE(registerAddress);
                buf.writeShortLE(dataLength);
                byte[] bytes = new byte[buf.readableBytes()];
                if (bytes.length > 0) {
                    buf.getBytes(buf.readerIndex(), bytes);
                }
                return ByteUtil.bcdToLong(bytes);
            }
        } catch (Exception e) {}
        return 0L;
    }



    public void setDtlNo(Long dtlNo) {
        if (dtlNo != null) {
            byte[] bcdCode = ByteUtil.toBCD(dtlNo);
            bcdCode = ByteUtil.reverse(bcdCode);
            switch (bcdCode.length) {
                case 0:
                    address = 0;
                    registerType = 0;
                    registerAddress = 0;
                    dataLength = 0;
                    break;
                case 1:
                    address = 0;
                    registerType = 0;
                    registerAddress = 0;
                    dataLength = ByteUtil.toShort(new byte[] {0x00, bcdCode[0]}, ByteOrder.LITTLE_ENDIAN);
                    break;
                case 2:
                    address = 0;
                    registerType = 0;
                    registerAddress = 0;
                    dataLength = ByteUtil.toShort(new byte[] {bcdCode[1], bcdCode[0]}, ByteOrder.LITTLE_ENDIAN);
                    break;
                case 3:
                    address = 0;
                    registerType = 0;
                    registerAddress = ByteUtil.toShort(new byte[] {0x00, bcdCode[2]}, ByteOrder.LITTLE_ENDIAN);
                    dataLength = ByteUtil.toShort(new byte[] {bcdCode[1], bcdCode[0]}, ByteOrder.LITTLE_ENDIAN);
                    break;
                case 4:
                    address = 0;
                    registerType = 0;
                    registerAddress = ByteUtil.toShort(new byte[] {bcdCode[3], bcdCode[2]}, ByteOrder.LITTLE_ENDIAN);
                    dataLength = ByteUtil.toShort(new byte[] {bcdCode[1], bcdCode[0]}, ByteOrder.LITTLE_ENDIAN);
                    break;
                case 5:
                    address = 0;
                    registerType = bcdCode[4];
                    registerAddress = ByteUtil.toShort(new byte[] {bcdCode[3], bcdCode[2]}, ByteOrder.LITTLE_ENDIAN);
                    dataLength = ByteUtil.toShort(new byte[] {bcdCode[1], bcdCode[0]}, ByteOrder.LITTLE_ENDIAN);
                    break;
                case 6:
                    address = Short.valueOf(bcdCode[5]);
                    registerType = bcdCode[4];
                    registerAddress = ByteUtil.toShort(new byte[] {bcdCode[3], bcdCode[2]}, ByteOrder.LITTLE_ENDIAN);
                    dataLength = ByteUtil.toShort(new byte[] {bcdCode[1], bcdCode[0]}, ByteOrder.LITTLE_ENDIAN);
                    break;
                default:
            }
        }
    }

    public Short getUnionIndex() {
        return unionIndex == null ? 0 : unionIndex;
    }

    public Short getAddress() {
        return address == null ? 0 : address;
    }

    public Byte getRegisterType() {
        return registerType == null ? 0 : registerType;
    }

    public Short getRegisterAddress() {
        return registerAddress == null ? 0 : registerAddress;
    }

    public Short getDataLength() {
        return dataLength == null ? 0 : dataLength;
    }

    public Short getS7ReadArea() {
        return address;
    }

    public Byte getS7ReadMode() {
        return registerType;
    }

    public Short getS7ReadAddress() {
        return registerAddress;
    }

    public Short getS7ReadQuantity() {
        return dataLength;
    }

}
