/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-05-10 10:16:12
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

/**
 * Table: transport_picture - 摄像头抓拍数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-05-10 10:16:12
 */
@Getter
@Setter
@Entity
@Table(name = "transport_picture")
public class TransportPicture implements Serializable {

    /** Column: file_id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "file_id")
    private String fileId;

    /** Column: device_id - 终端编号 */
    @Length(max=50, message="db.transportPicture.deviceId.Length")
    @NotBlank(message="db.transportPicture.deviceId.NotBlank")
    private String deviceId;

    /** Column: camera_address - 摄像头地址 */
    @NotNull(message="db.transportPicture.cameraAddress.NotNull")
    private Integer cameraAddress;

    /** Column: file_path - 文件路径 */
    @NotNull(message="db.transportPicture.filePath.NotNull")
    private String fileKey;

    /** Column: snap_time - 采样时间 */
    @NotNull(message="db.transportPicture.snapTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date snapTime;

    /** Column: received_time - 接收时间 */
    @NotNull(message="db.transportPicture.receivedTime.NotNull")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date receivedTime;

}
