/*
 * ! CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-13 10:12:30
 */
package com.qhiot.transport.db.model;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import com.qhiot.core.util.JsonUtil;
import com.qhiot.core.util.StringUtil;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Table: transport_resource_monitoring - 终端资源配置测点 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-13 10:12:30
 */
@Getter
@Setter
@Entity
@Table(name = "transport_resource_monitoring")
public class TransportResourceMonitoring implements Serializable {

    private static final long serialVersionUID = -8181367881126076864L;
    /** Column: monitoring_id - 主键ID */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "monitoring_id")
    private Long    monitoringId;

    /** Column: device_id - 终端编号 */
    @Length(max = 20, message = "db.transportResourceMonitoring.deviceId.Length")
    @NotBlank(message = "db.transportResourceMonitoring.deviceId.NotBlank")
    private String  deviceId;

    /** Column: config_index - 配置序号 */
    @NotNull(message = "db.transportResourceMonitoring.configIndex.NotNull")
    private Short   configIndex;

    /** Column: valid - 有效位 */
    @NotNull(message = "db.transportResourceMonitoring.valid.NotNull")
    private Short   valid = 0;

    /** Column: monitoring_index - 序号 */
    @NotNull(message = "db.transportResourceMonitoring.dataIndex.NotNull")
    private Short   dataIndex;

    /** Column: monitoring_name - 测点名称 */
    @Length(max = 50, message = "db.transportResourceMonitoring.monitoringName.Length")
    private String  monitoringName;

    /** Column: formula - 换算公式 */
    @Length(max = 200, message = "db.transportResourceMonitoring.formula.Length")
    private String  formula;

    /**
     * Column: unit - 单位
     */
    @Length(max = 20, message = "db.transportResourceMonitoring.unit.Length")
    @Column(name = "unit")
    private String unit;

    /**
     * Column: value_precision - 精度
     */
    @NotNull(message = "db.transportResourceMonitoring.valuePrecision.NotNull")
    @Column(name = "value_precision")
    private Short valuePrecision;

    /**
     * 监测指标ID
     */
    // @NotNull(message="db.transportResourceMonitoring.monitoringIndexId.NotNull")
    private Long    monitoringIndexId;

    private Integer writeAddress = -1;

    private Float   rating = 0f;

    private Long   advStationMonitorId;

    @Transient
    private int monitorOrControl;

    /** Column: monitor_code - 监测代码 */
    @Length(max=50, message="libmonitorcode.libMonitorCode.monitorCode.Length")
    @NotBlank(message="libmonitorcode.libMonitorCode.monitorCode.NotBlank")
    @Pattern(regexp = "^[a-zA-Z][a-zA-Z0-9_]*$", message = "监测代码，包含英文字母，下划线，数字，必须字母开头")
    private String monitorCode;

    @Column(name = "data_map")
    private String dataMap;

    public Map<String, String> getDataMapObject() {
        if (StringUtil.isEmpty(dataMap)) {
            return null;
        } else {
            try {
                ObjectMapper mapper = JsonUtil.newMapper();
                mapper.configure(JsonParser.Feature.ALLOW_UNQUOTED_FIELD_NAMES, false);
                mapper.configure(JsonParser.Feature.ALLOW_SINGLE_QUOTES, false);
                return mapper.readValue(dataMap, new TypeReference<LinkedHashMap<String, String>>() {});
            } catch (Exception e) {
                return null;
            }
        }
    }
}
