/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-06-01 10:50:22
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;

/**
 * Table: transport_transfer - 数据转发配置 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-06-01 10:50:22
 */
@Getter
@Setter
@Entity
@Table(name = "transport_transfer")
public class TransportTransfer implements Serializable {

    /** Column: transfer_id - 主键 */
    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "transfer_id")
    private Long transferId;

    /** Column: device_id - 终端编号 */
    @Length(max=20, message="db.transportTransfer.deviceId.Length")
    @NotBlank(message="db.transportTransfer.deviceId.NotBlank")
    private String deviceId;

    /** Column: dest_host - 目标主机 */
    @Length(max=15, message="db.transportTransfer.destHost.Length")
    @NotBlank(message="db.transportTransfer.destHost.NotBlank")
    private String destHost;

    /** Column: dest_port - 目标端口 */
    @NotNull(message="db.transportTransfer.destPort.NotNull")
    private Integer destPort;




}
