/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-07-26 04:06:55
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

/**
 * Table: transport_transformer_threshold - 互感器状态阈值 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-07-26 04:06:55
 */
@Getter
@Setter
@Entity
@Table(name = "transport_transformer_threshold")
public class TransportTransformerThreshold implements Serializable {

    /** Column: device_id - 终端编号 */
    @Id
    @Column(name = "device_id")
    private String deviceId;

    /** Column: transformer_index - 互感器序号 */
    @Id
    @Column(name = "transformer_index")
    private Integer transformerIndex;

    /** Column: running_threshold - 运行状态阈值 */
    @NotNull(message="db.transportTransformerThreshold.runningThreshold.NotNull")
    private Double runningThreshold;

    /** Column: overload_threshold - 过载阈值 */
    @NotNull(message="db.transportTransformerThreshold.overloadThreshold.NotNull")
    private Double overloadThreshold;



}
