/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-06-06 11:56:27
 */
package com.qhiot.transport.db.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import lombok.Data;

/**
 * Table: transport_warning_config - 报警配置 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-06-06 11:56:27
 */
@Data
@Entity
@Table(name = "transport_warning_config")
public class TransportWarningConfig implements Serializable {

    /** Column: config_index - 配置序号 */
    @Id
    @Column(name = "config_index")
    private Short configIndex;

    /** Column: device_id - 终端编号 */
    @Id
    @Column(name = "device_id")
    private String deviceId;

    /** Column: valid - 配置有效 */
    @NotNull(message="db.transportWarningConfig.valid.NotNull")
    private Byte valid;

    /** Column: register_type1 - 寄存器1类型 */
    @NotNull(message="db.transportWarningConfig.registerType1.NotNull")
    private Byte registerType1 = 0;

    /** Column: register_address1 - 寄存器1地址 */
    @NotNull(message="db.transportWarningConfig.registerAddress1.NotNull")
    private Short registerAddress1;

    /** Column: method1 - 寄存器1解码方式 */
    @NotNull(message="db.transportWarningConfig.method1.NotNull")
    private Byte method1;

    /** Column: register_type2 - 寄存器2类型 */
    @NotNull(message="db.transportWarningConfig.registerType2.NotNull")
    private Byte registerType2 = 0;

    /** Column: register_address2 - 寄存器2地址 */
    @NotNull(message="db.transportWarningConfig.registerAddress2.NotNull")
    private Short registerAddress2;

    /** Column: method2 - 寄存器2解码方式 */
    @NotNull(message="db.transportWarningConfig.method2.NotNull")
    private Byte method2;

    /** Column: param_relation - 参数连接关系 */
    @NotNull(message="db.transportWarningConfig.paramRelation.NotNull")
    private Byte paramRelation;

    /** Column: condition1 - 报警条件1 */
    @NotNull(message="db.transportWarningConfig.condition1.NotNull")
    private Byte condition1;

    /** Column: condition2 - 报警条件2 */
    @NotNull(message="db.transportWarningConfig.condition2.NotNull")
    private Byte condition2;

    /** Column: condition_relation - 条件连接关系 */
    @NotNull(message="db.transportWarningConfig.conditionRelation.NotNull")
    private Byte conditionRelation;

    /** Column: value1 - 报警值1 */
    @NotNull(message="db.transportWarningConfig.value1.NotNull")
    private Float value1;

    /** Column: value2 - 报警值2 */
    @NotNull(message="db.transportWarningConfig.value2.NotNull")
    private Float value2;

    /** Column: warning_register_type - 报警输出寄存器类型 */
    @NotNull(message="db.transportWarningConfig.warningRegisterType.NotNull")
    private Byte warningRegisterType = 0;

    /** Column: warning_register_address - 报警输出寄存器地址 */
    @NotNull(message="db.transportWarningConfig.warningRegisterAddress.NotNull")
    private Short warningRegisterAddress;

    /** Column: warning_method2 - 报警输出寄存器解码方式 */
    @NotNull(message="db.transportWarningConfig.warningMethod.NotNull")
    private Byte warningMethod;

    /** Column: period - 采集周期 */
    @NotNull(message="db.transportWarningConfig.period.NotNull")
    private Integer period;

}
