/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-04-17 06:18:28
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.DeviceModelDTO;
import com.qhiot.transport.db.mapper.DeviceModelMapper;
import com.qhiot.transport.db.model.DeviceModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: device_model - 设备型号 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-04-17 06:18:28
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DeviceModelService extends BaseService<DeviceModel> {

    @Autowired
    private DeviceModelMapper deviceModelMapper;

    public List<DeviceModelDTO> selectDTOByTenantId(Long tenantId) {
        return deviceModelMapper.selectDTOByTenantId(tenantId);
    }

    public List<DeviceModelDTO> selectDTO() {
        return deviceModelMapper.selectDTO();
    }

}
