/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-08-30 04:02:06
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.DeviceNetParamMapper;
import com.qhiot.transport.db.model.DeviceNetParam;
import com.qhiot.transport.message.bean.GatewayParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

/**
 * 业务层 <br/>
 * Table: device_net_param - 终端网络数据 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-08-30 04:02:06
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DeviceNetParamService extends BaseService<DeviceNetParam> {

    @Autowired
    private DeviceNetParamMapper deviceNetParamMapper;


    public DeviceNetParam saveToDeviceNetParam(Object response) throws ServiceException {
        DeviceNetParam deviceNetParam = getDeviceNetParam((GatewayParam) response);
        Example example = new Example(DeviceNetParam.class);
        example.createCriteria().andEqualTo("gwGatewayaddr", deviceNetParam.getGwGatewayaddr());
        int count = deviceNetParamMapper.selectCountByExample(example);
        if (count != 0) {
            deviceNetParamMapper.updateByExampleSelective(deviceNetParam, example);
        } else {
            insert(deviceNetParam);
        }


        return deviceNetParam;
    }

    public int updateByDeviceNetParam(Object response, String deviceId) throws ServiceException {
        DeviceNetParam deviceNetParam = getDeviceNetParam((GatewayParam) response);
        Example example = new Example(DeviceNetParam.class);
        example.createCriteria().andEqualTo("gwGatewayaddr", Integer.parseInt(deviceId));
        int c = deviceNetParamMapper.updateByExampleSelective(deviceNetParam, example);
        return c;
    }

    private DeviceNetParam getDeviceNetParam(GatewayParam response) {
        GatewayParam gatewayParam = response;
        DeviceNetParam deviceNetParam = new DeviceNetParam();
        deviceNetParam.setGwGatewayaddr(gatewayParam.getGatewayAddr());
        deviceNetParam.setGwInitmark(gatewayParam.getInitMark());
        deviceNetParam.setGwDevicename(gatewayParam.getDeviceNameString());
        deviceNetParam.setGwSerialnumber(gatewayParam.getSerialNumberString());
        deviceNetParam.setGwSoftwareversion(gatewayParam.getSoftwareVersionString());
        deviceNetParam.setGwHardwareversion(gatewayParam.getHardwareVersionString());
        deviceNetParam.setGwServerip(gatewayParam.getServerIPString());
        deviceNetParam.setGwServerport(gatewayParam.getServerPort());
        deviceNetParam.setGwServer2ip(gatewayParam.getServer2IPString());
        deviceNetParam.setGwServer2port(gatewayParam.getServer2Port());
        deviceNetParam.setGwDeviceip(gatewayParam.getDeviceIPString());
        deviceNetParam.setGwDeviceport(gatewayParam.getDevicePort());
        deviceNetParam.setGwSubnetmask(gatewayParam.getSubnetMaskString());
        deviceNetParam.setGwGatewayip(gatewayParam.getGatewayIPString());
        deviceNetParam.setGwHeartbeatperiod(gatewayParam.getHeartbeatPeriod());
        deviceNetParam.setGwGprsrssi(gatewayParam.getGprsRssi());
        deviceNetParam.setGwWirelesspower(gatewayParam.getWirelessPower());
        deviceNetParam.setGwSpeakerclosed(gatewayParam.getSpeakerClosed());
        deviceNetParam.setGwManualio(gatewayParam.getManualIO());
        deviceNetParam.setGwReserved1(gatewayParam.getReserved1());
        deviceNetParam.setGwReserved2(gatewayParam.getReserved2());
        deviceNetParam.setGwReserved3(gatewayParam.getReserved3());
        deviceNetParam.setGwReserved4(gatewayParam.getReserved4());
        deviceNetParam.setGwReserved5(gatewayParam.getReserved5());
        deviceNetParam.setGwReserved6(gatewayParam.getReserved6());
        deviceNetParam.setGwReserved7(gatewayParam.getReserved7());
        deviceNetParam.setGwReserved8(gatewayParam.getReserved8());
        deviceNetParam.setGwReserved9(gatewayParam.getReserved9());
        deviceNetParam.setGwReserved10(gatewayParam.getReserved10());
        deviceNetParam.setGwTimestamp(gatewayParam.getFormattedTimestamp());
        deviceNetParam.setGwManufacturedate(gatewayParam.getFormattedManufactureDate());
        deviceNetParam.setGwCumulativeoperatingtime(gatewayParam.getCumulativeOperatingTime());
        deviceNetParam.setGwChipid(gatewayParam.getChipIdHex());
        return deviceNetParam;
    }
}
