/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-07-20 02:01:35
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.DeviceNetworkTrafficMonthMapper;
import com.qhiot.transport.db.model.DeviceNetworkTrafficMonth;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.Date;
import java.util.List;

/**
 * 业务层 <br/>
 * Table: device_network_traffic_month - 月设备使用流量 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-07-20 02:01:35
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DeviceNetworkTrafficMonthService extends BaseService<DeviceNetworkTrafficMonth> {

    @Autowired
    private DeviceNetworkTrafficMonthMapper deviceNetworkTrafficMonthMapper;

    public List<DeviceNetworkTrafficMonth> selectFromDNT() throws ServiceException {
        return deviceNetworkTrafficMonthMapper.selectFromDNT();
    }

    public DeviceNetworkTrafficMonth selectDeviceDataByDate(String deviceId, Date trafficTime) throws ServiceException {
        return deviceNetworkTrafficMonthMapper.selectDeviceDataByDate(deviceId, trafficTime);
    }

    public int insertOrUpadte(DeviceNetworkTrafficMonth deviceNetworkTrafficMonth) throws ServiceException {
        DeviceNetworkTrafficMonth dntfm = selectDeviceDataByDate(deviceNetworkTrafficMonth.getDeviceId(), deviceNetworkTrafficMonth.getTrafficTime());
        if (null == dntfm) {
            return deviceNetworkTrafficMonthMapper.insert(deviceNetworkTrafficMonth);
        } else {
            Example example = new Example(DeviceNetworkTrafficMonth.class);
            example.createCriteria().andEqualTo("deviceId", dntfm.getDeviceId()).andEqualTo("trafficTime", dntfm.getTrafficTime());
            return deviceNetworkTrafficMonthMapper.updateByExampleSelective(deviceNetworkTrafficMonth, example);
        }
    }

}
