/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-08-30 05:25:05
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.DevicePeripheralMapper;
import com.qhiot.transport.db.model.DevicePeripheral;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: device_peripheral - 终端外设表 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-08-30 05:25:05
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DevicePeripheralService extends BaseService<DevicePeripheral> {

    @Autowired
    private DevicePeripheralMapper devicePeripheralMapper;


    public List<DevicePeripheral> selectDevicePeripheralByStationID(Long stationId) throws ServiceException {
        try {
            return devicePeripheralMapper.selectDevicePeripheralByStationID(stationId);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
