/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-07-19 10:33:30
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.DeviceProductionMapper;
import com.qhiot.transport.db.model.DeviceProduction;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: device_production -  <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-07-19 10:33:30
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DeviceProductionService extends BaseService<DeviceProduction> {

    @Autowired
    private DeviceProductionMapper deviceProductionMapper;

    public boolean deviceValidityVerify(String deviceId) throws ServiceException {
        try {
            return deviceProductionMapper.existsWithPrimaryKey(deviceId);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
