/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-12-27 03:00:02
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.core.util.CollectionUtil;
import com.qhiot.transport.db.dto.DeviceVirtualMonitoringDTO;
import com.qhiot.transport.db.mapper.DeviceVirtualMonitoringMapper;
import com.qhiot.transport.db.model.DeviceVirtualMonitoring;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: device_virtual_monitoring - 网关虚拟测点 <br/>
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2019-12-27 03:00:02
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DeviceVirtualMonitoringService extends BaseService<DeviceVirtualMonitoring> {

    @Autowired
    private DeviceVirtualMonitoringMapper deviceVirtualMonitoringMapper;


    public List<DeviceVirtualMonitoringDTO> selectDTObyExample(Example example) throws ServiceException {
        try {
            return deviceVirtualMonitoringMapper.selectDTObyExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public DeviceVirtualMonitoringDTO selectOneDTObyExample(Example example) throws ServiceException {
        try {
            List<DeviceVirtualMonitoringDTO> virtualMonitoringDTOS = deviceVirtualMonitoringMapper.selectDTObyExample(example);
            if (CollectionUtil.isNotEmpty(virtualMonitoringDTOS)) {
                return virtualMonitoringDTOS.get(0);
            } else {
                return null;
            }
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

}
