/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:19:28
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.LibDeviceRegisterAllotDTO;
import com.qhiot.transport.db.mapper.LibDeviceRegisterAllotMapper;
import com.qhiot.transport.db.model.LibDeviceRegisterAllot;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: lib_device_register_allot - 终端寄存器分配库 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-12-19 02:19:28
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LibDeviceRegisterAllotService extends BaseService<LibDeviceRegisterAllot> {

    @Autowired
    private LibDeviceRegisterAllotMapper libDeviceRegisterAllotMapper;

    public LibDeviceRegisterAllotDTO selectDTOByKeys(Long id) throws ServiceException {
        try {
            Example example = new Example(LibDeviceRegisterAllotDTO.class);
            example.createCriteria().andEqualTo("id", id);
            List<LibDeviceRegisterAllotDTO> libKeysMonitorDTOS = libDeviceRegisterAllotMapper.selectDTOByExample(example);
            if (null != libKeysMonitorDTOS && !libKeysMonitorDTOS.isEmpty()) {
                return libKeysMonitorDTOS.get(0);
            }
            return null;
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public List<LibDeviceRegisterAllotDTO> selectDTOByExample(Example example) throws ServiceException {
        try {
            return libDeviceRegisterAllotMapper.selectDTOByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
