/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 01:42:11
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.LibEquipemntTypeMapper;
import com.qhiot.transport.db.model.LibEquipemntType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: lib_equipemnt_type - 设备类型库 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-12-19 01:42:11
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LibEquipemntTypeService extends BaseService<LibEquipemntType> {

    @Autowired
    private LibEquipemntTypeMapper libEquipemntTypeMapper;

    public List<Short> selectUsedTypeCode() throws ServiceException {
        return libEquipemntTypeMapper.selectUsedTypeCode();
    }

    public Short getUnUsedTypeCode() throws ServiceException {
        List<Short> typeCodes = libEquipemntTypeMapper.selectUsedTypeCode();
        if (null == typeCodes || typeCodes.isEmpty()) {
            return 51;
        }
        short i = 51;
        Short s = new Short(i);
        while (true) {
            if (!typeCodes.contains(s)) {
                return s;
            } else {
                s++;
            }
        }
    }
}
