/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-08-20 05:47:32
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.LibEquipmentFaultcodeDTO;
import com.qhiot.transport.db.mapper.LibEquipmentFaultcodeMapper;
import com.qhiot.transport.db.model.LibEquipmentFaultcode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: lib_equipment_faultcode -  <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2019-08-20 05:47:32
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LibEquipmentFaultcodeService extends BaseService<LibEquipmentFaultcode> {

    @Autowired
    private LibEquipmentFaultcodeMapper libEquipmentFaultcodeMapper;


    public List<LibEquipmentFaultcodeDTO> selectDTOListByExample(Example example) throws ServiceException {
        try {
            return libEquipmentFaultcodeMapper.selectDTOByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

}
