/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:19:02
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.LibEquipmentMonitoringDTO;
import com.qhiot.transport.db.mapper.LibEquipmentMonitoringMapper;
import com.qhiot.transport.db.model.LibEquipmentMonitoring;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: lib_equipment_monitoring - 设备测点库 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-12-19 02:19:02
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LibEquipmentMonitoringService extends BaseService<LibEquipmentMonitoring> {

    @Autowired
    private LibEquipmentMonitoringMapper libEquipmentMonitoringMapper;

    public List<LibEquipmentMonitoringDTO> selectDTOByExample(Example example) throws ServiceException {
        try {
            return libEquipmentMonitoringMapper.selectDTOByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
