/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:18:32
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.LibEquipmentDTO;
import com.qhiot.transport.db.mapper.LibEquipmentMapper;
import com.qhiot.transport.db.model.LibEquipment;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: lib_equipment - 设备库 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-12-19 02:18:32
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LibEquipmentService extends BaseService<LibEquipment> {

    @Autowired
    private LibEquipmentMapper libEquipmentMapper;


    public List<LibEquipmentDTO> selectDTOByExample(Example example) throws ServiceException {
        try {
            return libEquipmentMapper.selectDTOByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

}
