/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:17:45
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.LibKeysMonitorDTO;
import com.qhiot.transport.db.mapper.LibKeysMonitorMapper;
import com.qhiot.transport.db.model.LibKeysMonitor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: lib_keys_monitor - 关键测控点 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-12-19 02:17:45
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class LibKeysMonitorService extends BaseService<LibKeysMonitor> {

    @Autowired
    private LibKeysMonitorMapper libKeysMonitorMapper;

    public List<LibKeysMonitorDTO> selectDTOByExample(Example example) throws ServiceException {
        try {
            return libKeysMonitorMapper.selectDTOByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public int selectCountByEquipmentTypeId(Long equipmentTypeId) throws ServiceException {
        try {
            return libKeysMonitorMapper.selectCountByEquipmentTypeId(equipmentTypeId);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public List<LibKeysMonitor> selectAllByEquipmentTypeId(Long equipmentTypeId) throws ServiceException {
        try {
            Example example = new Example(LibKeysMonitor.class);
            example.createCriteria().andEqualTo("equipmentTypeId", equipmentTypeId);
            return libKeysMonitorMapper.selectByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
