/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-07-26 10:02:48
 */
package com.qhiot.transport.db.service;


import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.MonitoringDataMonthDTO;
import com.qhiot.transport.db.mapper.MonitoringDataMonthMapper;
import com.qhiot.transport.db.model.MonitoringDataMonth;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;
import java.util.Map;

/**
 * 业务层 <br/>
 * Table: monitoring_data_month - 测点月数据 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-07-26 10:02:48
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class MonitoringDataMonthService extends BaseService<MonitoringDataMonth> {

    @Autowired
    private MonitoringDataMonthMapper monitoringDataMonthMapper;

    public MonitoringDataMonthDTO selectDTOExample(Example example) throws ServiceException {
        try {
            return monitoringDataMonthMapper.selectDTOByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public List<MonitoringDataMonthDTO> selectMonitorngDataMonthAccumulated() throws ServiceException {
        try {
            return monitoringDataMonthMapper.selectMonitorngDataMonthAccumulated();
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public MonitoringDataMonth selectMonitoringMonthDataValue(Map<String, Object> map) throws ServiceException {
        try {
            return monitoringDataMonthMapper.selectMonitoringMonthDataValue(map);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public MonitoringDataMonth selectMonitoringMonthDataValueFirstTime(Map<String, Object> map) throws ServiceException {
        try {
            return monitoringDataMonthMapper.selectMonitoringMonthDataValueFirstTime(map);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

    public MonitoringDataMonth selectLastMonthDataBySmId(Long smId) throws ServiceException {
        try {
            return monitoringDataMonthMapper.selectLastMonthDataBySmId(smId);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
