/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-09-26 03:59:32
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.SimInfoFlowDTO;
import com.qhiot.transport.db.mapper.SimInfoMapper;
import com.qhiot.transport.db.model.SimInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: sim_info -  <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-09-26 03:59:32
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class SimInfoService extends BaseService<SimInfo> {

    @Autowired
    private SimInfoMapper simInfoMapper;


    public List<SimInfoFlowDTO> selectYestordayFlow() {
        return simInfoMapper.selectYestordayFlow();
    }

    public List<SimInfoFlowDTO> selectDayAvgFlow() {
        return simInfoMapper.selectDayAvgFlow();
    }

    public List<SimInfoFlowDTO> selectCurrentMonthFlow() {
        return simInfoMapper.selectCurrentMonthFlow();
    }

    public List<SimInfoFlowDTO> selectOverflowTotalFlow() {
        return simInfoMapper.selectOverflowTotalFlow();
    }

    public List<SimInfoFlowDTO> selectAlreadyusedFlow() {
        return simInfoMapper.selectAlreadyusedFlow();
    }


    public List<SimInfo> simDuedateEarlyWarn() {
        return simInfoMapper.simDuedateEarlyWarn();
    }

    public List<SimInfo> simOverflowEarlyWarn() {
        return simInfoMapper.simOverflowEarlyWarn();
    }


    public List<SimInfo> simOverflowTotalEarlyWarn() {
        return simInfoMapper.simOverflowTotalEarlyWarn();
    }

    public List<SimInfo> simOverflowHalfDayAvgEarlyWarn() {
        return simInfoMapper.simOverflowHalfDayAvgEarlyWarn();
    }

}
