package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.TransportDecoderMapper;
import com.qhiot.transport.db.model.TransportDecoder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * @author 金建强(ptma @ 163.com)
 * @version 2015-12-01 15:57.
 */
@Service
public class TransportDecoderService extends BaseService<TransportDecoder> {

    @Autowired
    private TransportDecoderMapper transportDecoderMapper;

    /**
     * 查询分类中可用的解码器脚本
     *
     * @param category 分类
     * @return {@code List<TransportDecoder>} 分类中所有可用的解码器脚本
     * @throws ServiceException
     */
    public List<TransportDecoder> selectByCategory(String category) throws ServiceException {
        try {
            Example example = new Example(TransportDecoder.class);
            example.createCriteria().andEqualTo("category", category).andEqualTo("disabled", 0);
            return transportDecoderMapper.selectByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }

}
