/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-03-24 09:53:57
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.dto.TransportUpgradeLogDTO;
import com.qhiot.transport.db.mapper.TransportUpgradeLogMapper;
import com.qhiot.transport.db.model.TransportUpgradeLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: transport_upgrade_log - 固件升级日志 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-03-24 09:53:57
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TransportUpgradeLogService extends BaseService<TransportUpgradeLog> {

    @Autowired
    private TransportUpgradeLogMapper transportUpgradeLogMapper;

    public List<TransportUpgradeLogDTO> selectDTOList(Example example) throws ServiceException {
        try {

            return transportUpgradeLogMapper.selectDTOByExample(example);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
