/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-28 09:57:32
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.TransportWarningMapper;
import com.qhiot.transport.db.model.TransportWarning;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 业务层 <br/>
 * Table: transport_warning - 终端告警 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-04-28 09:57:32
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TransportWarningService extends BaseService<TransportWarning> {

    @Autowired
    private TransportWarningMapper transportWarningMapper;

    public List<TransportWarning> selectByDeviceIdAndWarningCode(String deviceId, String warningCode) throws ServiceException {
        try {
            return transportWarningMapper.selectByDeviceIdAndWarningCode(deviceId, warningCode);
        } catch (Exception e) {
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
