package com.qhiot.transport.influxdb.bean;

import io.netty.channel.Channel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
/**
 * @author 罗军(luoj@qh-iot.com)
 * @version 2021-05-25 18:30:43
 */
@Setter
@Getter
public class PacketV2Log implements Serializable {

    private static final long      serialVersionUID = 6968963778285583702L;

    /** 帧头：IOT 3个字节 */
    public static final byte[] PREFIX_IOT       = new byte[] {(byte) 0x49, (byte) 0x4f, (byte) 0x54};

    /** 帧头：STA 3个字节 */
    public static final byte[] PREFIX_STA       = new byte[] {(byte) 0x53, (byte) 0x54, (byte) 0x41};

    /** 帧尾: END 3个字节 */
    public static final byte[] SUFFIX_END       = new byte[] {(byte) 0x45, (byte) 0x4e, (byte) 0x44};

    public static final int    MIN_LENGTH       = 21;

    private Channel channel;

    private String              contextId;

    /** 帧头 */
    private byte[]               prefix;
    /** 目标终端类型 */
    private byte                 dstDevType;
    /** 目标终端编号 */
    private int                  dstDevAddr;
    /** 源终端类型 */
    private byte                 deviceType;
    /** 源终端编号 */
    private String               deviceId;
    /** 命令 */
    private byte                 command;
    /** 长度(数据段的长度) */
    private short                commandDataLength;
    /** 数据 */
    private byte[]               commandData;
    /** CRC16 校验 */
    private int                  crc;
}
