package com.qhiot.transport.influxdb.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qhiot.influxdb.model.BaseInfluxModel;
import lombok.Getter;
import lombok.Setter;
import org.influxdb.annotation.Column;
import org.influxdb.annotation.Measurement;

import java.time.Instant;
import java.util.Date;

/**
 * 1 * @Author: luoj
 * 2 * @Date: 2021/5/24 13:51
 * 3
 */
@Getter
@Setter
@Measurement(name = "decodeLogInflux",database = "seem")
//@JsonSerialize(JsonSerialize.Inclusion.NON_NULL)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DecodeLogInflux extends BaseInfluxModel {

    @Column(name = "appNode",tag = true)
    private String appNode;

    @Column(name = "packetV2LogStr")
    private String packetV2LogStr;

    @Column(name = "decoderNum")
    private Integer decoderNum;

    @Column(name = "time")
    private Instant time;

    /**
     * 获取当前时区的时间
     * @return
     */
    public Date getDate() {
        Date date = new Date(time.toEpochMilli());
        return date;
    }
    /**
     * 以当前的时间设置Instant时间
     * @return
     */
    public void setDate(Date date) {
        Instant instant = Instant.ofEpochMilli(date.getTime());
        this.time = instant;
    }

}
