package com.qhiot.transport.influxdb.model;

import com.qhiot.influxdb.model.BaseInfluxModel;
import lombok.Data;
import org.influxdb.annotation.Column;
import org.influxdb.annotation.Measurement;

import java.time.Instant;
import java.util.Date;

/**
 * Measurement: deviceConnectStatusInflux - 终端连接状态 <br/>
 */
@Data
@Measurement(name = "deviceConnectStatusInflux",database = "seem")
public class DeviceConnectStatusInflux extends BaseInfluxModel {

    public static final Integer OFF = 0;
    public static final Integer ON = 1;

    /** Column: device_id - 终端编号 */
    @Column(name = "deviceId", tag = true)
    private String deviceId;

    /** Column: status - 连接状态 0-断开 1-连接 */
    @Column(name = "status")
    private Integer status;

    @Column(name = "time")
    private Instant time;

    /**
     * 获取当前时区的时间
     * @return
     */
    public Date getDate() {
        Date date = new Date(time.toEpochMilli());
        return date;
    }
    /**
     * 以当前的时间设置Instant时间
     * @return
     */
    public void setDate(Date date) {
        Instant instant = Instant.ofEpochMilli(date.getTime());
        this.time = instant;
    }
}

