package com.qhiot.transport.influxdb.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qhiot.influxdb.model.BaseInfluxModel;
import lombok.Getter;
import lombok.Setter;
import org.influxdb.annotation.Column;
import org.influxdb.annotation.Measurement;

import java.time.Instant;
import java.util.Date;

/**
 * 1 * @Author: luoj
 * 2 * @Date: 2021/5/24 13:51
 * 3
 */
@Getter
@Setter
@Measurement(name = "linkMonitorDataHistory",database = "seem")
//@JsonSerialize(JsonSerialize.Inclusion.NON_NULL)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LinkMonitorDataHistoryInflux extends BaseInfluxModel {

    @Column(name = "tenantId",tag = true)
    private String tenantId;

    @Column(name = "deviceId",tag = true)
    private String deviceId;

    @Column(name = "monitoringCode",tag = true)
    private String monitoringCode;
//
//    @Column(name = "indexId",tag = true)
//    private String indexId;
    /**
     * 监测代码
     */
    @Column(name = "monitorCode",tag = true)
    private String monitorCode;

    @Column(name = "value")
    private Double value;

    @Column(name = "time")
    private Instant time;

    /**
     * 获取当前时区的时间
     * @return
     */
    public Date getDate() {
        Date date = new Date(time.toEpochMilli());
        return date;
    }
    /**
     * 以当前的时间设置Instant时间
     * @return
     */
    public void setDate(Date date) {
        Instant instant = Instant.ofEpochMilli(date.getTime());
        this.time = instant;
    }

}
