package com.qhiot.transport.influxdb.service;

import com.qhiot.core.exception.ServiceException;
import com.qhiot.influxdb.service.InfluxDBBaseService;
import com.qhiot.influxdb.statement.Statement;
import com.qhiot.transport.influxdb.model.LinkMonitorDataHistoryInflux;
import org.springframework.stereotype.Service;

/**
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-24 15:00:46
 */
@Service
public class LinkMonitorDataHistoryInfluxService extends InfluxDBBaseService<LinkMonitorDataHistoryInflux> {
    /**
     * 按照项目id获取存储策略
     *
     * @param tenantId
     * @return 存储策略
     */
    public String getPolicyByTenant(String tenantId) {
        if (tenantId != null) {
            return Statement.TENANT_POLICY_PREFIX + tenantId;
        }
        return getRetentionPolicy();
    }

    public void appointedInsert(LinkMonitorDataHistoryInflux linkMonitorDataHistoryInflux) throws ServiceException {
        try {
            super.appointedInsert(linkMonitorDataHistoryInflux,getPolicyByTenant(linkMonitorDataHistoryInflux.getTenantId()));
        }catch (Exception e){
            throw new ServiceException(e.getMessage(), e);
        }
    }
}
