package com.qhiot.transport.message.bean;

import java.io.Serializable;

/**
 * 摄像头配置
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-06-30 23:42:35
 */
public class CameraConfig implements Serializable {

    private static final long serialVersionUID = -7061856089512426250L;

    public static final int DATA_LENGTH = 9;
    public static final int DATA_COUNT  = 8;
    /**
     * 指令有效位
     */
    protected byte          commandValid;
    /**
     * 摄像头地址(0-255)
     */
    protected byte          address;
    /**
     * 串口号[1-10]
     */
    protected byte          commPort;
    /**
     * 波特率: [0:2400 ,1:4800 ,2:9600, 3:19200, 4:38400, 5:57600, 6:115200]
     */
    protected byte          baudRate;
    /**
     * 奇偶校验位: [0:无校验, 1:奇校验, 2:偶校验]
     */
    protected byte          parityCheck;
    /**
     * 夜视功能: [0:关闭, 1:打开]
     */
    protected byte          nightVision;
    /**
     * 照片大小: 1,3,5,7
     */
    protected byte          photoSize;

    /** 拍照延时 */
    protected byte          delay;

    /** 485通道号 */
    protected byte          channel;

    public byte getCommandValid() {
        return commandValid;
    }

    public void setCommandValid(byte commandValid) {
        this.commandValid = commandValid;
    }

    public byte getAddress() {
        return address;
    }

    public void setAddress(byte address) {
        this.address = address;
    }

    public byte getCommPort() {
        return commPort;
    }

    public void setCommPort(byte commPort) {
        this.commPort = commPort;
    }

    public byte getBaudRate() {
        return baudRate;
    }

    public void setBaudRate(byte baudRate) {
        this.baudRate = baudRate;
    }

    public byte getParityCheck() {
        return parityCheck;
    }

    public void setParityCheck(byte parityCheck) {
        this.parityCheck = parityCheck;
    }

    public byte getPhotoSize() {
        return photoSize;
    }

    public void setPhotoSize(byte photoSize) {
        this.photoSize = photoSize;
    }

    public byte getNightVision() {
        return nightVision;
    }

    public void setNightVision(byte nightVision) {
        this.nightVision = nightVision;
    }

    public byte getDelay() {
        return delay;
    }

    public void setDelay(byte delay) {
        this.delay = delay;
    }

    public byte getChannel() {
        return channel;
    }

    public void setChannel(byte channel) {
        this.channel = channel;
    }

}
