package com.qhiot.transport.message.bean;

import java.io.Serializable;

/**
 * 摄像头拍照时间点配置
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-06-30 23:42:55
 */
public class CameraTimePointConfig implements Serializable {

    private static final long serialVersionUID = -3239059745156040747L;

    public static final int DATA_LENGTH = 5;
    public static final int DATA_COUNT  = 20;

    /**
     * 指令有效位
     */
    protected byte          commandValid;
    /**
     * 时(0-23)
     */
    protected byte          hours;
    /**
     * 分(0-59)
     */
    protected byte          minutes;
    /**
     * 秒(0-59)
     */
    protected byte          seconds;
    /**
     * 摄像头地址
     */
    protected byte          address;

    public byte getCommandValid() {
        return commandValid;
    }

    public void setCommandValid(byte commandValid) {
        this.commandValid = commandValid;
    }

    public byte getHours() {
        return hours;
    }

    public void setHours(byte hours) {
        this.hours = hours;
    }

    public byte getMinutes() {
        return minutes;
    }

    public void setMinutes(byte minutes) {
        this.minutes = minutes;
    }

    public byte getSeconds() {
        return seconds;
    }

    public void setSeconds(byte seconds) {
        this.seconds = seconds;
    }

    public void setAddress(byte address) {
        this.address = address;
    }

    public byte getAddress() {
        return address;
    }

}
