package com.qhiot.transport.message.bean;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 测点配置
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-05-22 10:56:35
 */
@Getter
@Setter
public class EquipmentMonitoring implements Serializable {

    private static final long serialVersionUID = 5183046872724077976L;

    public static final int   DATA_LENGTH      = 33;
    public static final int   DATA_COUNT       = 200;
    /**
     * 指令有效位(1b)
     */
    protected byte            valid;
    /**
     * 配置序号(2b)
     */
    protected short            configIndex;
    /**
     * 设备连接序号 (2b)
     */
    protected short            equipmentIndex;
    /**
     * 协议类型(1b)
     * modbusRTU
     * modbusTCP
     * DLT645-1997
     * Local
     */
    protected byte            protocol;
    /**
     * 设备站号(1b)
     */
    protected short            address;
    /**
     * 寄存器类型(1b)
     */
    protected byte            registerType;

    /**
     * 寄存器地址(2 byte)
     */
    protected short           registerAddress;

    /**
     * 数据长度(2byte)
     */
    protected short            dataLength;

    /**
     * 保留(2b)
     */
    protected byte[]          reserved2 = new byte[2];

    /**
     * 解码方式(1 byte)
     */
    protected byte            method;

    /**
     * 测点数量(1 byte)
     */
    protected byte            dataQuantity;

    /**
     * 死区设置 (4b Float)
     */
    protected float           deadZone;


    /**
     * 采集周期 (2b) 0-65535
     */
    protected int            period;

    /** 转存寄存类型 (1b) */
    protected byte            storeRegisterType;

    /** 转存寄存器地址 (2b) */
    protected short           storeRegisterAddress;

    protected byte            rw;

    /** 连接序号 (2b) */
    protected short            unionIndex;

    /**
     * 预留（5b）
     */
    protected byte[]          reserved5 = new byte[5];

    public boolean isAllFieldZero() {
        boolean allFieldZero = true;

        allFieldZero &= (valid == 0);
        allFieldZero &= (configIndex == 0);
        allFieldZero &= (equipmentIndex == 0);
        allFieldZero &= (protocol == 0);
        allFieldZero &= (address == 0);
        allFieldZero &= (registerType == 0);
        allFieldZero &= (registerAddress == 0);
        allFieldZero &= (dataLength == 0);
        allFieldZero &= (method == 0);
        allFieldZero &= (dataQuantity == 0);
        allFieldZero &= (deadZone == 0);
        allFieldZero &= (period == 0);
        allFieldZero &= (storeRegisterType == 0);
        allFieldZero &= (storeRegisterAddress == 0);
        allFieldZero &= (rw == 0);
        allFieldZero &= (unionIndex == 0);

        return allFieldZero;
    }
}
