package com.qhiot.transport.message.bean;

import com.qhiot.transport.message.util.MessageBeanUtil;

import java.io.Serializable;

/**
 * 开关量输入控制配置
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-06-21 15:59
 */
public class InputConfig implements Serializable {

    private static final long serialVersionUID = -3636553636777430056L;

    public static final int DATA_LENGTH   = 21;
    public static final int DATA_COUNT    = 12;

    /**
     * 指令有效位
     */
    protected byte            commandValid;
    /** 第几路输入(0-15) */
    protected byte            address;
    /** 1:不触发到触发 0:触发到不触发 */
    protected byte            trigger;
    /** 两个字节表示16路开关量,为1的话,表示输出打开有效 */
    protected byte[]          outputTarget1 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出打开有效 */
    protected byte[]          outputTarget2 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出打开有效 */
    protected byte[]          outputTarget3 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出打开有效 */
    protected byte[]          outputTarget4 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出关闭有效 */
    protected byte[]          outputTarget5 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出关闭有效 */
    protected byte[]          outputTarget6 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出关闭有效 */
    protected byte[]          outputTarget7 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出关闭有效 */
    protected byte[]          outputTarget8 = new byte[2];
    /** 是否触发拍照 */
    protected byte            cameraTrigger;
    /** 摄像头地址 */
    protected short           cameraAddress;

    public byte getCommandValid() {
        return commandValid;
    }

    public void setCommandValid(byte commandValid) {
        this.commandValid = commandValid;
    }

    public byte getAddress() {
        return address;
    }

    public void setAddress(byte address) {
        this.address = address;
    }

    public byte getTrigger() {
        return trigger;
    }

    public void setTrigger(byte trigger) {
        this.trigger = trigger;
    }

    public byte[] getOutputTarget1() {
        return outputTarget1.clone();
    }

    public String getOutputTarget1Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget1);
    }

    public void setOutputTarget1(byte[] outputTarget1) {
        this.outputTarget1 = outputTarget1.clone();
    }

    public byte[] getOutputTarget2() {
        return outputTarget2.clone();
    }

    public String getOutputTarget2Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget2);
    }

    public void setOutputTarget2(byte[] outputTarget2) {
        this.outputTarget2 = outputTarget2.clone();
    }

    public byte[] getOutputTarget3() {
        return outputTarget3.clone();
    }

    public String getOutputTarget3Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget3);
    }

    public void setOutputTarget3(byte[] outputTarget3) {
        this.outputTarget3 = outputTarget3.clone();
    }

    public byte[] getOutputTarget4() {
        return outputTarget4.clone();
    }

    public String getOutputTarget4Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget4);
    }

    public void setOutputTarget4(byte[] outputTarget4) {
        this.outputTarget4 = outputTarget4.clone();
    }

    public byte getCameraTrigger() {
        return cameraTrigger;
    }

    public void setCameraTrigger(byte cameraTrigger) {
        this.cameraTrigger = cameraTrigger;
    }

    public short getCameraAddress() {
        return cameraAddress;
    }

    public void setCameraAddress(short cameraAddress) {
        this.cameraAddress = cameraAddress;
    }

    public byte[] getOutputTarget5() {
        return outputTarget5.clone();
    }

    public String getOutputTarget5Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget5);
    }

    public void setOutputTarget5(byte[] outputTarget5) {
        this.outputTarget5 = outputTarget5.clone();
    }

    public byte[] getOutputTarget6() {
        return outputTarget6.clone();
    }

    public String getOutputTarget6Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget6);
    }

    public void setOutputTarget6(byte[] outputTarget6) {
        this.outputTarget6 = outputTarget6.clone();
    }

    public byte[] getOutputTarget7() {
        return outputTarget7.clone();
    }

    public String getOutputTarget7Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget7);
    }

    public void setOutputTarget7(byte[] outputTarget7) {
        this.outputTarget7 = outputTarget7.clone();
    }

    public byte[] getOutputTarget8() {
        return outputTarget8.clone();
    }

    public String getOutputTarget8Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget8);
    }

    public void setOutputTarget8(byte[] outputTarget8) {
        this.outputTarget8 = outputTarget8.clone();
    }

}
