package com.qhiot.transport.message.bean;

import java.util.Arrays;

/**
 * 1 * @Author: luoj
 * 2 * @Date: 2020/1/10 15:59
 * 3透传模块 modbus 数据接收
 */
public class Modbus {

    /**
     * 网关ID (节点ID)
     */
    private int deviceId;

    /**
     * 时间戳
     */
    private long timestamp;

    /**
     * 设备地址 1byte
     */
    private short address;

    /**
     * 功能码（命令） 1byte
     */
    private short functionCode;

    /**
     * 存放地址(寄存器地址) 2byte
     */
    private int storeAddress;

    /**
     * 数据长度
     */

    private short length;

    /**
     * 数据
     */

    private byte[] data;

    public int getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(int deviceId) {
        this.deviceId = deviceId;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public short getAddress() {
        return address;
    }

    public void setAddress(short address) {
        this.address = address;
    }

    public short getFunctionCode() {
        return functionCode;
    }

    public void setFunctionCode(short functionCode) {
        this.functionCode = functionCode;
    }

    public int getStoreAddress() {
        return storeAddress;
    }

    public void setStoreAddress(int startingAddr) {
        this.storeAddress = startingAddr;
    }

    public short getLength() {
        return length;
    }

    public void setLength(short length) {
        this.length = length;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return
            "deviceId=" + deviceId +
                ",timestamp=" + timestamp +
                ",address=" + address +
                ",functionCode=" + functionCode +
                ",storeAddress=" + storeAddress +
                ",length=" + length +
                ",data=" + Arrays.toString(data) +
                '}';
    }
}
