package com.qhiot.transport.message.bean;

import com.qhiot.transport.message.util.MessageBeanUtil;

import java.io.Serializable;

/**
 * 开关量输出控制配置
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-06-21 15:59
 */
public class OutputConfig implements Serializable {

    private static final long serialVersionUID = 2032440052339649340L;

    public static final int DATA_LENGTH  = 8;
    public static final int DATA_COUNT   = 16;

    /** 指令有效位 */
    protected byte            commandValid;

    /** 时(0-23) */
    protected byte            hours;

    /** 分(0-59) */
    protected byte            minutes;

    /** 秒(0-59) */
    protected byte            seconds;

    /** 打开时长 2byte 0-65535 */
    protected int             duration;

    /** 两个字节表示16路开关量,为1的话,表示输出有效 */
    protected byte[]          outputTarget = new byte[2];

    public byte getCommandValid() {
        return commandValid;
    }

    public void setCommandValid(byte commandValid) {
        this.commandValid = commandValid;
    }

    public byte getHours() {
        return hours;
    }

    public void setHours(byte hours) {
        this.hours = hours;
    }

    public byte getMinutes() {
        return minutes;
    }

    public void setMinutes(byte minutes) {
        this.minutes = minutes;
    }

    public byte getSeconds() {
        return seconds;
    }

    public void setSeconds(byte seconds) {
        this.seconds = seconds;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public byte[] getOutputTarget() {
        return outputTarget==null?null:outputTarget.clone();
    }

    public String getOutputTargetBin() {
        return MessageBeanUtil.toBinaryString(outputTarget);
    }

    public void setOutputTarget(byte[] outputTarget) {
        this.outputTarget = outputTarget==null?null:outputTarget.clone();
    }

}
