package com.qhiot.transport.message.bean;

import com.qhiot.transport.message.util.MessageBeanUtil;

import java.io.Serializable;

/**
 * 开关量输出周期指令配置
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-06-30 23:43:48
 */
public class OutputPeriodConfig implements Serializable {

    private static final long serialVersionUID = 3497162227900242742L;

    public static final int DATA_LENGTH   = 13;
    public static final int DATA_COUNT    = 16;

    /** 指令有效位 0或1 */
    protected byte            commandValid;
    /** 采集周期 2字节 (0-65535)秒 */
    protected int             period;

    /** 打开时间 2字节 (0-65535)秒*/
    protected int             duration;

    /** 两个字节表示16路开关量,为1的话,表示输出有效 */
    protected byte[]          outputTarget1 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出有效 */
    protected byte[]          outputTarget2 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出有效 */
    protected byte[]          outputTarget3 = new byte[2];
    /** 两个字节表示16路开关量,为1的话,表示输出有效 */
    protected byte[]          outputTarget4 = new byte[2];

    public byte getCommandValid() {
        return commandValid;
    }

    public void setCommandValid(byte commandValid) {
        this.commandValid = commandValid;
    }

    public int getPeriod() {
        return period;
    }

    public void setPeriod(int period) {
        this.period = period;
    }

    public byte[] getOutputTarget1() {
        return outputTarget1.clone();
    }

    public void setOutputTarget1(byte[] outputTarget1) {
        this.outputTarget1 = outputTarget1.clone();
    }

    public byte[] getOutputTarget2() {
        return outputTarget2.clone();
    }

    public void setOutputTarget2(byte[] outputTarget2) {
        this.outputTarget2 = outputTarget2.clone();
    }

    public byte[] getOutputTarget3() {
        return outputTarget3.clone();
    }

    public void setOutputTarget3(byte[] outputTarget3) {
        this.outputTarget3 = outputTarget3.clone();
    }

    public byte[] getOutputTarget4() {
        return outputTarget4.clone();
    }

    public void setOutputTarget4(byte[] outputTarget4) {
        this.outputTarget4 = outputTarget4.clone();
    }

    public String getOutputTarget1Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget1);
    }

    public String getOutputTarget2Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget2);
    }

    public String getOutputTarget3Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget3);
    }

    public String getOutputTarget4Bin() {
        return MessageBeanUtil.toBinaryString(outputTarget4);
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

}
