package com.qhiot.transport.message.bean;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 动力设备监测电流故障
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-03-31 15:46
 */
public class OverloadWarning implements Serializable {

    private static final long serialVersionUID = -8395276280129845261L;

    public static final int   DATA_LENGTH      = 5;
    public static final int   DATA_COUNT       = 16;

    protected byte            valid;
    protected int             time;

    // 第几路（非协议内字段）
    private int index;
    // 类型（非协议内字段） 0:打开电流的上限状态 1:打开电流的下限状态 2:关闭电流的上限状态
    private int type;

    public byte getValid() {
        return valid;
    }

    public void setValid(byte valid) {
        this.valid = valid;
    }

    public int getTime() {
        return time;
    }

    public void setTime(int time) {
        this.time = time;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getFormattedTime() {
        Date d = new Date(time * 1000L);
        return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(d);
    }
}
