package com.qhiot.transport.message.bean;

import java.io.Serializable;

/**
 * 资源上传数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-03-21 10:09
 */
public class ResourceUpload implements Serializable {

    private static final long serialVersionUID = 8033192035781967490L;

    /**
     * 寄存器类型 (1 byte)<br/>
     * 0: bit/只读, <br/>
     * 1: bit/可读可写, <br/>
     * 2: 2字节/只读, <br/>
     * 3: 2字节/可读可写
     */
    protected byte            registerType;

    /**
     * 存放地址 (2 byte) 0-65535
     */
    protected int             storeAddress;

    /**
     * 时间戳 (4 byte)
     */
    protected int             timestamp;

    /**
     * 长度(1 byte)
     */
    protected short            dataLength;

    /**
     * 数据 (N byte, N = dataLength)
     */
    protected byte[]          data;


    public byte getRegisterType() {
        return registerType;
    }

    public void setRegisterType(byte registerType) {
        this.registerType = registerType;
    }

    public int getStoreAddress() {
        return storeAddress;
    }

    public void setStoreAddress(int storeAddress) {
        this.storeAddress = storeAddress;
    }

    public int getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(int timestamp) {
        this.timestamp = timestamp;
    }

    public short getDataLength() {
        return dataLength;
    }

    public void setDataLength(short dataLength) {
        this.dataLength = dataLength;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }
}
