package com.qhiot.transport.message.bean;

import com.qhiot.transport.message.util.MessageBeanUtil;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 485 采集的数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-04-06 22:51
 */
public class Rs485Collection implements Serializable {

    private static final long serialVersionUID = 630113657084236238L;

    /** 指令序号 */
    protected byte                                          commandIndex;
    /** 数据序号 2 byte */
    protected short                                         dataIndex;
    /** 数据长度 */
    protected short                                         dataLength;
    /** 数据是否已经上传标志 */
    protected byte                                          uploadMark;
    /** 时间戳 4 byte */
    protected int                                           timestamp;
    /** 数据类型(流量计,水质...) */
    protected short                                         dataType;
    /** 数据 ${dataLength} byte */
    protected byte[]                                        data;

    public byte getCommandIndex() {
        return commandIndex;
    }

    public void setCommandIndex(byte commandIndex) {
        this.commandIndex = commandIndex;
    }

    public short getDataIndex() {
        return dataIndex;
    }

    public void setDataIndex(short dataIndex) {
        this.dataIndex = dataIndex;
    }

    public short getDataLength() {
        return dataLength;
    }

    public void setDataLength(short dataLength) {
        this.dataLength = dataLength;
    }

    public byte getUploadMark() {
        return uploadMark;
    }

    public void setUploadMark(byte uploadMark) {
        this.uploadMark = uploadMark;
    }

    public int getTimestamp() {
        return timestamp;
    }

    public String getTimestampString() {
        Date d = new Date(timestamp * 1000L);
        return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(d);
    }

    public void setTimestamp(int timestamp) {
        this.timestamp = timestamp;
    }

    public byte[] getData() {
        return data.clone();
    }

    public String getDataHex() {
        return MessageBeanUtil.toHexString(this.data, true);
    }

    public void setData(byte[] data) {
        this.data = data.clone();
    }

    public short getDataType() {
        return dataType;
    }

    public void setDataType(short dataType) {
        this.dataType = dataType;
    }

}
