package com.qhiot.transport.message.data;

import com.qhiot.transport.message.define.DeviceType;

import java.util.Date;

/**
 * 连接记录数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class ConnectionData extends Data {

    private static final long serialVersionUID = -3574962412229336344L;

    private Long connectionId;

    private String deviceId;

    private Date connectedTime;

    private Date disconnectedTime;

    private Integer connectionDuration;

    private ConnectionData() {
    }

    public ConnectionData(String deviceId) {
        super(DeviceType.GATEWAY.getValue(), deviceId);
    }

    public ConnectionData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Long getConnectionId() {
        return connectionId;
    }

    public void setConnectionId(Long connectionId) {
        this.connectionId = connectionId;
    }

    @Override
    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public Date getConnectedTime() {
        return connectedTime;
    }

    public void setConnectedTime(Date connectedTime) {
        this.connectedTime = connectedTime;
    }

    public Date getDisconnectedTime() {
        return disconnectedTime;
    }

    public void setDisconnectedTime(Date disconnectedTime) {
        this.disconnectedTime = disconnectedTime;
    }

    public Integer getConnectionDuration() {
        return connectionDuration;
    }

    public void setConnectionDuration(Integer connectionDuration) {
        this.connectionDuration = connectionDuration;
    }
}
