package com.qhiot.transport.message.data;

/**
 * 电量计数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/7/5 19:08
 */
public class CoulometerData extends Data {

    private static final long serialVersionUID = -5540967363093230561L;

    /** 16路互感器状态: 32个字节, 每一路对应2个字节 */
    private int[] value = new int[16];

    private CoulometerData() {
    }

    public CoulometerData(String deviceId) {
        super(deviceId);
    }

    public CoulometerData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int[] getValue() {
        return value.clone();
    }

    public CoulometerData setValue(int[] value) {
        this.value = value.clone();
        return this;
    }

    public CoulometerData setValue(int index, int value) {
        if (index>=0 && index<16) {
            this.value[index] = value;
        }
        return this;
    }
}
