package com.qhiot.transport.message.data;

import com.qhiot.transport.message.define.DeviceType;

import java.io.Serializable;
import java.util.Date;

/**
 * 监测数据基类
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 16:39
 */
public abstract class Data implements Serializable {

    /** 终端编号 */
    private String  deviceId;
    /** 终端类型
     * @see com.qhiot.transport.message.define.DeviceType
     */
    private byte deviceType;
    /** 消息生成的时间*/
    private final Date messageTime;

    public Data(){
        messageTime = new Date();
    }

    public Data(String deviceId) {
        deviceType = DeviceType.GATEWAY.getValue();
        this.deviceId = deviceId;
        messageTime = new Date();
    }

    public Data(byte deviceType, String deviceId) {
        this.deviceType = deviceType;
        this.deviceId = deviceId;
        messageTime = new Date();
    }

    public String getDeviceId() {
        return deviceId;
    }

    public byte getDeviceType() {
        return deviceType;
    }

    public Date getMessageTime() {
        return messageTime == null ? null : (Date) messageTime.clone();
    }
}
