package com.qhiot.transport.message.data;

/**
 * 输入开关量状态
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/3/21 19:08
 */
public class InputStateData extends Data {

    private static final long serialVersionUID = 3647859433317035893L;

    public static final int DATA_LENGTH = 16;

    /** 16路输入状态:16个字节,0-闭合,1-断开 */
    private int[]           states      = new int[16];

    private InputStateData(){}

    public InputStateData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int[] getStates() {
        return states.clone();
    }

    public void setStates(int[] states) {
        this.states = states.clone();
    }
}
