package com.qhiot.transport.message.data;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Date;

/**
 * 测点数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/4/6 22:51
 */
@Getter
@Setter
public class MonitoringHistoryData extends Data {

    private static final long serialVersionUID = -75080533413683363L;

    private String contextId;

    private MonitoringHistoryData(){}

    public MonitoringHistoryData(String deviceId) {
        super(deviceId);
    }

    public MonitoringHistoryData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    private Long   monitoringId;

    private String monitoringName;

    private Short  dataType;

    private String dataMap;

    private Short  valuePrecision;

    private String unit;

    private String icon;

    private Double  value;

    private Date   dataTime;

    private Long   monitoringIndexId;

    /**
     *
     */
    private Date   processTime;

    public String getIcon() {
        return icon == null ? "icon-unknow" : icon;
    }

    public String getUnit() {
        return unit == null ? "" : unit;
    }

    public Short getValuePrecision() {
        return valuePrecision == null ? 2 : valuePrecision;
    }

    public long getDataTimestamp() {
        return dataTime == null ? 0 : dataTime.getTime();
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Double getValue(){
        BigDecimal bigDecimal = BigDecimal.valueOf(value);
        if (getValuePrecision() != null && getValuePrecision()>=0) {
            bigDecimal = bigDecimal.setScale(getValuePrecision().intValue(), RoundingMode.HALF_UP);
        } else {
            bigDecimal = bigDecimal.setScale(2, RoundingMode.HALF_UP);
        }
        return bigDecimal.doubleValue();
    }
}
