package com.qhiot.transport.message.data;

import com.qhiot.transport.message.define.DeviceType;

/**
 * 终端在线/离线消息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OnlineData extends Data {

    private static final long serialVersionUID = -414964525370653005L;

    private String channelId;

    private boolean connected;

    private OnlineData(){}

    public OnlineData(String deviceId) {
        super(DeviceType.GATEWAY.getValue(), deviceId);
    }

    public OnlineData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public boolean isConnected() {
        return connected;
    }

    public void setConnected(boolean connected) {
        this.connected = connected;
    }
}
