package com.qhiot.transport.message.data;

import java.util.Date;

/**
 * 分片发送图片文件到kafka
 * @author 罗军(luoj@qh-iot.com)
 * @version 2021/6/23
 */
public class SnapDataBurst extends Data {

    private static final long serialVersionUID = 5529058665363347937L;

    /**
     * 唯一识别，一张图片的分片Id都一样
     */
    private Long              cutId;

    /**
     * 是不是分片第一个
     */
    private boolean            isHeader;

    /**
     *
     */
    private int               countCut;

    /**
     * 序号，从0开始
     */
    private int               index;

    private int               cameraAddr;

    /**
     * 时间，只有第一个是有效的
     */
    private Date              snapTime;

    /**
     * 当前分片的数据
     */
    private byte[]            binary;

    private SnapDataBurst() {
        this.isHeader = false;
    }

    public SnapDataBurst(String deviceId, Long cutId, int countCut, int index, int cameraAddr, Date snapTime, byte[] binary) {
        super(deviceId);
        this.cutId = cutId;
        this.countCut = countCut;
        this.index = index;
        this.cameraAddr = cameraAddr;
        this.snapTime = snapTime;
        this.binary = binary;
        this.isHeader = false;
    }

    public SnapDataBurst(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
        this.isHeader = false;
    }

    public SnapDataBurst(String deviceId) {
        super(deviceId);
        this.isHeader = false;
    }

    public boolean isHeader() {
        return isHeader;
    }

    public void setHeader(boolean header) {
        isHeader = header;
    }

    public int getCameraAddr() {
        return cameraAddr;
    }

    public void setCameraAddr(int cameraAddr) {
        this.cameraAddr = cameraAddr;
    }

    public Date getSnapTime() {
        return snapTime;
    }

    public void setSnapTime(Date snapTime) {
        this.snapTime = snapTime;
    }

    public byte[] getBinary() {
        return binary;
    }

    public void setBinary(byte[] binary) {
        this.binary = binary;
    }

    public Long getCutId() {
        return cutId;
    }

    public void setCutId(Long cutId) {
        this.cutId = cutId;
    }

    public int getCountCut() {
        return countCut;
    }

    public void setCountCut(int countCut) {
        this.countCut = countCut;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public boolean getEnd() {
        return (index + 1) == countCut ? true : false;
    }

}
