package com.qhiot.transport.message.data;

import java.util.Date;

/**
 * 流量数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class TrafficData extends Data {

    private static final long serialVersionUID = -8266449817154548904L;

    private Integer upstream;

    /** Column: downstream - 下行(字节) */
    private Integer downstream;

    /** Column: traffic_time - 流量记录时间 */
    private Date trafficTime;

    private TrafficData() { }

    public TrafficData(String deviceId) {
        super(deviceId);
    }

    public TrafficData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Integer getUpstream() {
        return upstream;
    }

    public void setUpstream(Integer upstream) {
        this.upstream = upstream;
    }

    public Integer getDownstream() {
        return downstream;
    }

    public void setDownstream(Integer downstream) {
        this.downstream = downstream;
    }

    public Date getTrafficTime() {
        return trafficTime;
    }

    public void setTrafficTime(Date trafficTime) {
        this.trafficTime = trafficTime;
    }
}
