package com.qhiot.transport.message.data;

/**
 * 互感器数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/3/21 19:08
 */
public class TransformerState extends Data {

    private static final long serialVersionUID = 5656039458722059061L;

    public static final int DATA_LENGTH = 16;

    /** 16路互感器状态: 32个字节, 每一路对应2个字节 */
    private int[]         states      = new int[16];

    private TransformerState() { }

    public TransformerState(String deviceId) {
        super(deviceId);
    }

    public TransformerState(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int[] getStates() {
        return states.clone();
    }

    public void setStates(int[] states) {
        this.states = states.clone();
    }
}
