package com.qhiot.transport.message.define;

import java.io.Serializable;

/**
 * 终端
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-03-27 11:05
 */
public class Device implements Serializable {

    private static final long serialVersionUID = 4692109761079187016L;

    private byte              deviceType;
    private String            deviceId;

    public Device(byte deviceType, String deviceId) {
        this.deviceType = deviceType;
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public byte getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(byte deviceType) {
        this.deviceType = deviceType;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof Device)) {
            return false;
        }

        Device device = (Device) o;

        if (deviceType != device.deviceType) {
            return false;
        }
        return deviceId.equals(device.deviceId);
    }

    @Override
    public int hashCode() {
        int result = (int) deviceType;
        result = 31 * result + deviceId.hashCode();
        return result;
    }
}

