package com.qhiot.transport.message.define;

/**
 * 终端类型
 *
 * @author 金建强(ptma@163.com)
 * @version 2015-12-23 14:24
 */
public enum DeviceType {
    UNKNOW(           (byte) 0xFF, "未知终端"),
    SERVER(           (byte) 0x00, "服务器"),
    GATEWAY(          (byte) 0x01, "终端"),
    EXCITER(          (byte) 0x05, "激励器"),
    ONBOARD_TAG(      (byte) 0x06, "车载标签"),
    REPEATER(         (byte) 0x07, "中继"),
    SMART100(         (byte) 0x08, "Smart100"),
    HUMITURE_SENSOR(  (byte) 0x09, "温湿度传感器"),
    TILTED_SENSOR(    (byte) 0x0A, "倾角传感器"),
    WIRELESS_TAG780M( (byte) 0x0B, "780M无线标签"),
    WIRELESS_SENSOR(  (byte) 0x0C, "无线传感器"),
    WIRELESS_SWITCH(  (byte) 0x0D, "无线开关控制器"),
    WATER_QUALITY(    (byte) 0x0E, "水质监测终端"),
    SOLAR_CHARGING(   (byte) 0x0F, "太阳能充电控制器"),
    GPRS_GPS(         (byte) 0x10, "GPRS-GPS定位小板"),
    COULOMETER(       (byte) 0x11, "电量计量小板"),
    IO_BOARD(         (byte) 0x12, "开关量检测小板"),
    GATEWAY_4G(       (byte) 0x14, "4G网关"),
    OTHER_SENSOR(     (byte) 0x30, "其它传感器");

    private byte   value;

    private String name;

    DeviceType(byte value, String name){
        this.value = value;
        this.name = name;
    }

    public boolean equals(byte value) {
        return this.value == value;
    }

    public byte getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public static DeviceType valueOf(byte value) {
        for (DeviceType type : DeviceType.values()) {
            if (value == type.value) {
                return type;
            }
        }
        return UNKNOW;
    }

    public static DeviceType valueOf(int value) {
        for (DeviceType type : DeviceType.values()) {
            if (value == type.value) {
                return type;
            }
        }
        return UNKNOW;
    }

    public static String nameOf(byte value) {
        for (DeviceType type : DeviceType.values()) {
            if (value == type.value) {
                return type.name;
            }
        }
        return UNKNOW.name;
    }
}
