package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.DeviceParam;

/**
 * 写入终端参数指令
 *
 * @author 金建强(ptma@163.com)
 */
public class DeviceParamWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 8567319136396172724L;
    private DeviceParam param;

    private DeviceParamWriteRequest() {}

    public DeviceParamWriteRequest(String deviceId) {
        super(deviceId);
    }

    public DeviceParamWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public DeviceParam getParam() {
        return param;
    }

    public DeviceParamWriteRequest setParam(DeviceParam param) {
        this.param = param;
        return this;
    }
}
