package com.qhiot.transport.message.request;

/**
 * Modbus 数据写入指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ModbusDataWriteRequest extends RequestMessage {

    private static final long serialVersionUID = -3814740404931611723L;

    private Short             configIndex;
    private Short             dataIndex;
    private int               registerAddress;
    private byte               registerType;
    private byte              method;
    private byte[]            data;

    private ModbusDataWriteRequest() {}

    public ModbusDataWriteRequest(String deviceId) {
        super(deviceId);
    }

    public ModbusDataWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(int registerAddress) {
        this.registerAddress = registerAddress;
    }

    public byte getRegisterType() {
        return registerType;
    }

    public void setRegisterType(byte registerType) {
        this.registerType = registerType;
    }

    public byte getMethod() {
        return method;
    }

    public void setMethod(byte method) {
        this.method = method;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    public Short getConfigIndex() {
        return configIndex;
    }

    public void setConfigIndex(Short configIndex) {
        this.configIndex = configIndex;
    }

    public Short getDataIndex() {
        return dataIndex;
    }

    public void setDataIndex(Short dataIndex) {
        this.dataIndex = dataIndex;
    }
}
