package com.qhiot.transport.message.request;

import com.qhiot.transport.message.define.DeviceType;

import java.io.Serializable;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 16:39
 */
public abstract class RequestMessage implements Serializable {

    private static final long serialVersionUID = -2278590206116791865L;
    private String  deviceId;
    private byte deviceType;

    public RequestMessage() {

    }

    public RequestMessage(String deviceId) {
        this.deviceType = DeviceType.GATEWAY.getValue();
        this.deviceId = deviceId;
        try {
            Integer.parseInt(deviceId);
        } catch (NumberFormatException e) {
            throw new RuntimeException("终端编号格式非法");
        }
    }

    public RequestMessage(byte deviceType, String deviceId) {
        this.deviceType = deviceType;
        this.deviceId = deviceId;
        try {
            Integer.parseInt(deviceId);
        } catch (NumberFormatException e) {
            throw new RuntimeException("终端编号格式非法");
        }
    }

    public String getDeviceId() {
        return deviceId;
    }

    public byte getDeviceType() {
        return deviceType;
    }

}
