package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.Rs485Config;

/**
 * 写入485配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class Rs485ConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 2736152790565493836L;
    private int         index;

    private Rs485Config config;

    private Rs485ConfigWriteRequest() {}

    public Rs485ConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public Rs485ConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public Rs485ConfigWriteRequest setIndex(int index) {
        this.index = index;
        return this;
    }

    public Rs485Config getConfig() {
        return config;
    }

    public Rs485ConfigWriteRequest setConfig(Rs485Config config) {
        this.config = config;
        return this;
    }
}
