package com.qhiot.transport.message.request;

/**
 * 透传指令
 *
 * @author 金建强(ptma@163.com)
 */
public class TransmitRequest extends RequestMessage {

    private static final long serialVersionUID = -4745585496222099838L;
    private int    baudrate;
    private int    checkMode;
    private int    dc;
    private String command;

    private TransmitRequest() {}

    public TransmitRequest(String deviceId) {
        super(deviceId);
    }

    public TransmitRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getBaudrate() {
        return baudrate;
    }

    public TransmitRequest setBaudrate(int baudrate) {
        this.baudrate = baudrate;
        return this;
    }

    public int getCheckMode() {
        return checkMode;
    }

    public TransmitRequest setCheckMode(int checkMode) {
        this.checkMode = checkMode;
        return this;
    }

    public int getDc() {
        return dc;
    }

    public TransmitRequest setDc(int dc) {
        this.dc = dc;
        return this;
    }

    public String getCommand() {
        return command;
    }

    public TransmitRequest setCommand(String command) {
        this.command = command;
        return this;
    }
}
