package com.qhiot.transport.message.request;

import java.util.Date;

/**
 * 固件升级
 *
 * @author 金建强(ptma@163.com)
 */
public class UpgradeRequest extends RequestMessage {

    private static final long serialVersionUID = -3615376620876319568L;

    private byte[]            firmwireData;

    private boolean           ignoreErrors;

    private Date              startupTime;

    private int               segmentIndex;

    private int               timeout;

    private int               retryCount = 30;

    private int               segmentLength = 512;

    private Long               firmwareId;

    private UpgradeRequest() {}

    public UpgradeRequest(String deviceId) {
        super(deviceId);
    }

    public UpgradeRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public byte[] getFirmwireData() {
        return firmwireData.clone();
    }

    public UpgradeRequest setFirmwireData(byte[] firmwireData) {
        this.firmwireData = firmwireData.clone();
        return this;
    }

    public boolean isIgnoreErrors() {
        return ignoreErrors;
    }

    public void setIgnoreErrors(boolean ignoreErrors) {
        this.ignoreErrors = ignoreErrors;
    }

    public Date getStartupTime() {
        return startupTime;
    }

    public void setStartupTime(Date startupTime) {
        this.startupTime = startupTime;
    }

    public int getSegmentIndex() {
        return segmentIndex;
    }

    public void setSegmentIndex(int segmentIndex) {
        this.segmentIndex = segmentIndex;
    }

    public int getTimeout() {
        return timeout <= 0 ? 30 : timeout;
    }

    public void setTimeout(int timeout) {
        this.timeout = timeout;
    }

    public int getRetryCount() {
        return retryCount;
    }

    public void setRetryCount(int retryCount) {
        this.retryCount = retryCount;
    }

    public int getSegmentLength() {
        return segmentLength;
    }

    public void setSegmentLength(int segmentLength) {
        this.segmentLength = segmentLength;
    }
    public Long getFirmwareId() {
        return firmwareId;
    }

    public void setFirmwareId(Long firmwareId) {
        this.firmwareId = firmwareId;
    }
}
