package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取摄像头配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = -6256575632044736138L;
    private int cameraIndex;

    private CameraConfigReadRequest() { }

    public CameraConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public CameraConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public CameraConfigReadRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }
}
