package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.bean.CameraConfig;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 写入摄像头配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = -3308805191777942969L;
    private int cameraIndex;

    private CameraConfig cameraConfig;

    private CameraConfigWriteRequest() { }

    public CameraConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public CameraConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public CameraConfigWriteRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }

    public CameraConfig getCameraConfig() {
        return cameraConfig;
    }

    public CameraConfigWriteRequest setCameraConfig(CameraConfig cameraConfig) {
        this.cameraConfig = cameraConfig;
        return this;
    }
}
