package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除摄像头拍照时间点配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraTimePointConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = 5256394994431673856L;
    private int cameraIndex;

    private CameraTimePointConfigDeleteRequest() { }

    public CameraTimePointConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public CameraTimePointConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public CameraTimePointConfigDeleteRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }
}
