package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取摄像头拍照时间点配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraTimePointConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = 2604451386643980520L;
    private int cameraIndex;

    private CameraTimePointConfigReadRequest() { }

    public CameraTimePointConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public CameraTimePointConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public CameraTimePointConfigReadRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }
}
