package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.bean.CameraTimePointConfig;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 写入摄像头拍照时间点配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraTimePointConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = -175659427884761288L;
    private int cameraIndex;

    private CameraTimePointConfig cameraConfig;

    private CameraTimePointConfigWriteRequest() { }

    public CameraTimePointConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public CameraTimePointConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public CameraTimePointConfigWriteRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }

    public CameraTimePointConfig getCameraTimePointConfig() {
        return cameraConfig;
    }

    public CameraTimePointConfigWriteRequest setCameraTimePointConfig(CameraTimePointConfig cameraConfig) {
        this.cameraConfig = cameraConfig;
        return this;
    }
}
