package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 停止照片上传指令
 *
 * @author 金建强(ptma@163.com)
 */
public class StopUploadRequest extends RequestMessage {

    private static final long serialVersionUID = 6691307016249816784L;
    private int cameraIndex;

    private StopUploadRequest() { }

    public StopUploadRequest(String deviceId) {
        super(deviceId);
    }

    public StopUploadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public StopUploadRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }
}
