package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 设置工作模式指令
 *
 * @author 金建强(ptma@163.com)
 */
public class IOWorkModelWriteRequest extends RequestMessage {

    private static final long serialVersionUID = -5055118614337969402L;

    /** 0: 自动运行模式
     * 1: 手动运行模式
     * 2: 停止模式
     */
    private int model;

    private IOWorkModelWriteRequest() { }

    public IOWorkModelWriteRequest(String deviceId) {
        super(deviceId);
    }

    public IOWorkModelWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getModel() {
        return model;
    }

    public IOWorkModelWriteRequest setModel(int model) {
        this.model = model;
        return this;
    }
}
