package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.bean.InputConfig;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 写入开关量输入配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class InputConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 1079649355902833179L;
    private int         index;

    private InputConfig config;

    private InputConfigWriteRequest() { }

    public InputConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public InputConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public InputConfigWriteRequest setIndex(int index) {
        this.index = index;
        return this;
    }

    public InputConfig getConfig() {
        return config;
    }

    public InputConfigWriteRequest setConfig(InputConfig config) {
        this.config = config;
        return this;
    }
}
