package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * modbus 指令控制 IO 输出
 *
 * @author 金建强(ptma@163.com)
 */
public class ModbusIOControlRequest extends RequestMessage {

    private static final long serialVersionUID = 8829425328669767220L;

    private int registerAddress;
    private boolean open;

    private ModbusIOControlRequest() { }

    public ModbusIOControlRequest(String deviceId) {
        super(deviceId);
    }

    public ModbusIOControlRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(int registerAddress) {
        this.registerAddress = registerAddress;
    }

    public boolean isOpen() {
        return open;
    }

    public void setOpen(boolean open) {
        this.open = open;
    }
}
