package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.bean.OutputConfig;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 写入开关量输出配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = -6884390308859705663L;
    private int         index;

    private OutputConfig config;

    private OutputConfigWriteRequest() { }

    public OutputConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public OutputConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputConfigWriteRequest setIndex(int index) {
        this.index = index;
        return this;
    }

    public OutputConfig getConfig() {
        return config;
    }

    public OutputConfigWriteRequest setConfig(OutputConfig config) {
        this.config = config;
        return this;
    }
}
