package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.bean.OutputPeriodConfig;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 写入开关量输出周期性配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputPeriodConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = -3021410055079327875L;
    private int         index;

    private OutputPeriodConfig config;

    private OutputPeriodConfigWriteRequest() { }

    public OutputPeriodConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public OutputPeriodConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputPeriodConfigWriteRequest setIndex(int index) {
        this.index = index;
        return this;
    }

    public OutputPeriodConfig getConfig() {
        return config;
    }

    public OutputPeriodConfigWriteRequest setConfig(OutputPeriodConfig config) {
        this.config = config;
        return this;
    }
}
