package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.define.DeviceType;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 关闭无线开关指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WirelessSwitchCloseRequest extends RequestMessage {

    private static final long serialVersionUID = -8161769659299489526L;
    private int         index;

    private WirelessSwitchCloseRequest() {}

    public WirelessSwitchCloseRequest(String deviceId) {
        super(DeviceType.WIRELESS_SWITCH.getValue(), deviceId);
    }

    public WirelessSwitchCloseRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public WirelessSwitchCloseRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
