package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.define.DeviceType;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 打开无线开关指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WirelessSwitchOpenRequest extends RequestMessage {

    private static final long serialVersionUID = -7213119375300342747L;
    private int         index;

    private WirelessSwitchOpenRequest() {}

    public WirelessSwitchOpenRequest(String deviceId) {
        super(DeviceType.WIRELESS_SWITCH.getValue(), deviceId);
    }

    public WirelessSwitchOpenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public WirelessSwitchOpenRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
