package com.qhiot.transport.message.response;

import java.io.Serializable;
import java.util.Date;

/**
 * 硬件回应消息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 16:39
 */
public abstract class ResponseMessage implements Serializable {

    private static final long serialVersionUID = -6825810265446543965L;
    private String  deviceId;
    private byte deviceType;
    private final Date messageTime;

    public ResponseMessage() {
        messageTime = new Date();
    }


    public ResponseMessage(byte deviceType, String deviceId) {
        this.deviceType = deviceType;
        this.deviceId = deviceId;
        messageTime = new Date();
    }

    public String getDeviceId() {
        return deviceId;
    }

    public byte getDeviceType() {
        return deviceType;
    }

    public Date getMessageTime() {
        return (Date) messageTime.clone();
    }


    public int getMessageTimestamp(){
        return (int) (messageTime.getTime()/1000);
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public void setDeviceType(byte deviceType) {
        this.deviceType = deviceType;
    }

}
