package com.qhiot.transport.message.response.camrea;

import com.qhiot.transport.message.bean.CameraTimePointConfig;
import com.qhiot.transport.message.response.ResponseMessage;

import java.util.List;

/**
 * 读摄像头拍照时间点配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class CameraTimePointReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private List<CameraTimePointConfig> configs;

    private CameraTimePointReadAllResponse() {}

    public CameraTimePointReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<CameraTimePointConfig> getConfigs() {
        return configs;
    }

    public CameraTimePointReadAllResponse setConfigs(List<CameraTimePointConfig> configs) {
        this.configs = configs;
        return this;
    }
}
