package com.qhiot.transport.codec.bean;

import com.qhiot.transport.message.define.Device;
import com.qhiot.transport.netty.transfer.Transferrer;
import io.netty.util.AttributeKey;

import java.util.Map;
import java.util.Vector;

/**
 * @author 金建强(ptma@163.com)
 * @version 2017-02-22 11:39
 */
public class AttrKey {

    /**
     * 是否有转发器标志
     */
    public static final AttributeKey<Boolean> HAS_TRANSFERRER             = AttributeKey.valueOf("HAS_TRANSFERRER");
    /**
     * 转发器
     */
    public static final AttributeKey<Transferrer> TRANSFERRER                 = AttributeKey.valueOf("TRANSFERRER");

    /**
     * 主终端
     */
    public static final AttributeKey<Device> MASTER_DEVICE               = AttributeKey.valueOf("MASTER_DEVICE");

    /**
     * 间接终端 本身不具备与服务器直接通讯的能力, 需要通过终端才能连接上来的终端, 比如: 激励器、中继、无线传感器小板等）
     */
    public static final AttributeKey<Vector<Device>> SLAVE_DEVICE                = AttributeKey.valueOf("SLAVE_DEVICE");

    /**
     * 终端在线数据， 同一个通道中可能有主从多个终端
     */
    public static final AttributeKey<Map<String, Online>> ONLINE_MAP                  = AttributeKey.valueOf("ONLINE_MAP");

    /**
     * 流量计算
     */
    public static final AttributeKey<Integer> UPSTREAM_SIZE               = AttributeKey.valueOf("UPSTREAM_SIZE");
    public static final AttributeKey<Integer> DOWNSTREAM_SIZE             = AttributeKey.valueOf("DOWNSTREAM_SIZE");

    /** 资源配置同步标记 */
    public static final AttributeKey<Boolean> RESOURCE_CONFIG_SYNCHRONOUS = AttributeKey.valueOf("RESOURCE_CONFIG_SYNCHRONOUS");

    public static final AttributeKey<Boolean> UDP                         = AttributeKey.valueOf("UDP");

    public static final AttributeKey<Boolean> PACKET_STA                  = AttributeKey.valueOf("PACKET_STA");
}
