package com.qhiot.transport.codec.bean;

import java.util.Date;

/**
 * 终端在线数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2018/1/11 21:33
 */
public class Online {

    /** device_connection 表中的主键, 如果不为 null 表示该连接记录已经保存过了， 再次保存的时候只能是更新 */
    private Long   connectionId;
    /** 新增channelId, 网关前一个连接未断开时若新连接已建立且已传输数据, 此时会造成前一个连接断开时间计算错误的问题*/
    private String channelId;
    private String deviceId;
    private byte   deviceType;
    private Date   createTime;
    private Date   lastActiveTime;

    public Online(byte deviceType, String deviceId, String channelId) {
        this.deviceType = deviceType;
        this.deviceId = deviceId;
        this.channelId = channelId;
        createTime = new Date();
        lastActiveTime = new Date();
    }

    public Long getConnectionId() {
        return connectionId;
    }

    public void setConnectionId(Long connectionId) {
        this.connectionId = connectionId;
    }

    public String getChannelId() {
        return this.channelId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public byte getDeviceType() {
        return deviceType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLastActiveTime() {
        return lastActiveTime;
    }

    public void setLastActiveTime(Date lastActiveTime) {
        this.lastActiveTime = lastActiveTime;
    }

}
