package com.qhiot.transport.codec.cache;

import java.io.Serializable;
import java.util.Date;

/**
 * 图片抓拍容器
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/4/13 20:07
 */
public class PowerCache implements Serializable {

    private static final long  serialVersionUID = 7700155409763958567L;

    public static final String CACHE_REGION     = "seem:transport:power";

    /** 终端编号 */
    private String             deviceId;

    // 缓存的状态编号
    private Long               stateId;

    // 缓存的告警编号
    private Long               warningId;

    /** 时间 */
    private Date               firstTime;

    private Date               latestTime;
    /** 数据 */
    private int                count            = 0;

    public PowerCache(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public Date getFirstTime() {
        return firstTime;
    }

    public void setFirstTime(Date firstTime) {
        this.firstTime = firstTime;
    }

    public Date getLatestTime() {
        return latestTime;
    }

    public void setLatestTime(Date latestTime) {
        this.latestTime = latestTime;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public void increaseCount() {
        count++;
    }

    public Long getWarningId() {
        return warningId;
    }

    public void setWarningId(Long warningId) {
        this.warningId = warningId;
    }

    public Long getStateId() {
        return stateId;
    }

    public void setStateId(Long stateId) {
        this.stateId = stateId;
    }
}
