package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.response.ResponseMessage;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * 终端与平台交互消息发送者Kafka实现<br>
 * topic://transport.response
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 14:59:21
 */
public class TransportResponseKafkaSender extends BaseJmsKafkaMessageSender {

    public TransportResponseKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.SEND_EXTENDS_RESPONSE_MESSAGE);
    }

    public void sendMessage(final ResponseMessage message) {
        super.sendMessage(message);
    }
}
