package com.qhiot.transport.jms.kafka.listener;

import com.qhiot.core.util.ReflectUtil;
import com.qhiot.kafka.KafkaConsumerGroups;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.jms.kafka.listener.handle.HandleRequest;
import com.qhiot.transport.message.request.RequestMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Component;


/**
 * 指令消息监听器 Kafka实现
 * 1 * @Author: luoj
 * 2 * @Date: 2021/5/27 14:53
 * 3
 */
@Component
public class TransportRequestKafkaListener {

    private static final Logger LOGGER = LoggerFactory.getLogger(TransportRequestKafkaListener.class);

    @Autowired
    private HandleRequest handleRequest;

    /**
     * @param requestMessage
     * @throws Exception
     */
    @KafkaListener(topics = "${kafka.destinationPrefix:seem.}" + KafkaTopicDestinations.SEND_EXTENDS_REQUEST_MESSAGE, groupId = "${kafka.destinationPrefix:seem.}" + KafkaConsumerGroups.TOPIC_EXTENDS_REQUEST_MESSAGE + "${app.node}")
    public void listen1(RequestMessage requestMessage, Acknowledgment ack) {
        try {
            ReflectUtil.invokeBySpring(handleRequest, "handleRequest", requestMessage);
            ack.acknowledge();
        } catch (Exception e) {
            LOGGER.error(e.getMessage(), e);
        }
    }
}
