package com.qhiot.transport.job;

import com.qhiot.transport.netty.handler.ChannelUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author 金建强(ptma@163.com)
 * @version 2018/4/4 14:19
 */
@Component
public class ConnectionResetter {

    private static final Logger LOGGER = LoggerFactory.getLogger("transport.codec.ConnectionResetter");

    @Autowired
    private ChannelUtil channelUtil;

    /**
     * 每月重置终端连接数据， 不断开实际物理连接， 便于统计月连接时长， 否则会有跨月问题
     */
    // 每月1日0点
    @Scheduled(cron = "0 0 0 1 * ?")
    public void resetter() {
        try {
            channelUtil.resetConnections();
        } catch (Exception e) {
            LOGGER.warn(e.getMessage());
        }
    }

}
