package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import com.qhiot.transport.codec.util.ByteBufUtil;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/22 11:52
 */
public class AsciiParamBuilder {

    public static AsciiParam read(ByteBuf buf, short dataLength) {
        try {
            AsciiParam param = new AsciiParam();
            byte[] data = new byte[dataLength];
            buf.readBytes(data);
            param.setData(data);
            return param;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(AsciiParam param) {
        ByteBuf buf = ByteBufUtil.directBuffer(GatewayParam.DATA_LENGTH);
        try {
            buf.writeBytes(param.data);
            return ByteBufUtil.getBytesRemaining(buf);
        } finally {
            ByteBufUtil.safeRelease(buf);
        }
    }
}
