package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:26
 */
public class CameraConfigBuilder {

    public static CameraConfig read(ByteBuf buf) {
        try {
            CameraConfig config = new CameraConfig();
            config.commandValid = buf.readByte();
            config.address = buf.readByte();
            config.commPort = buf.readByte();
            config.baudRate = buf.readByte();
            config.parityCheck = buf.readByte();
            config.nightVision = buf.readByte();
            config.photoSize = buf.readByte();
            config.delay = buf.readByte();
            config.channel = buf.readByte();
            return config;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(CameraConfig config) {
        return new byte[] { config.commandValid, config.address, config.commPort, config.baudRate, config.parityCheck, config.nightVision, config.photoSize, config.delay,
            config.channel };
    }
}
