package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:28
 */
public class CameraTimePointConfigBuilder {

    public static CameraTimePointConfig read(ByteBuf buf) {
        try {
            CameraTimePointConfig config = new CameraTimePointConfig();
            config.commandValid = buf.readByte();
            config.hours = buf.readByte();
            config.minutes = buf.readByte();
            config.seconds = buf.readByte();
            config.address = buf.readByte();
            return config;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(CameraTimePointConfig config) {
        return new byte[] { config.commandValid, config.hours, config.minutes, config.seconds, config.address };
    }

}
