package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:26
 */
public class HistoryBuilder {

    public static History read(ByteBuf buf) {
        try {
            History his = new History();
            his.deleteMark = buf.readByte();
            his.valid = buf.readByte();
            his.dataType = buf.readByte();
            his.dataIndex = buf.readIntLE();
            his.registerType = buf.readByte();
            his.method = buf.readByte();
            his.storeAddress = buf.readShortLE();
            his.dataLength = buf.readUnsignedByte();
            his.timestamp = buf.readIntLE();
            his.crc = buf.readByte();
            his.alert = buf.readByte();
            buf.readBytes(his.reserved);
            his.data = new byte[his.dataLength];
            buf.readBytes(his.data);
            return his;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }
}
