package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import com.qhiot.transport.codec.util.ByteBufUtil;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/22 11:52
 */
public class InputConfigBuilder {

    public static InputConfig read(ByteBuf buf) {
        try {
            InputConfig config = new InputConfig();
            config.commandValid = buf.readByte();
            config.address = buf.readByte();
            config.trigger = buf.readByte();
            buf.readBytes(config.outputTarget1);
            buf.readBytes(config.outputTarget2);
            buf.readBytes(config.outputTarget3);
            buf.readBytes(config.outputTarget4);
            buf.readBytes(config.outputTarget5);
            buf.readBytes(config.outputTarget6);
            buf.readBytes(config.outputTarget7);
            buf.readBytes(config.outputTarget8);
            config.cameraTrigger = buf.readByte();
            config.cameraAddress = buf.readUnsignedByte();
            return config;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(InputConfig inputConfig) {
        ByteBuf buf = ByteBufUtil.directBuffer(InputConfig.DATA_LENGTH);
        try {
            buf.writeByte(inputConfig.commandValid);
            buf.writeByte(inputConfig.address);
            buf.writeByte(inputConfig.trigger);
            buf.writeBytes(inputConfig.outputTarget1);
            buf.writeBytes(inputConfig.outputTarget2);
            buf.writeBytes(inputConfig.outputTarget3);
            buf.writeBytes(inputConfig.outputTarget4);
            buf.writeBytes(inputConfig.outputTarget5);
            buf.writeBytes(inputConfig.outputTarget6);
            buf.writeBytes(inputConfig.outputTarget7);
            buf.writeBytes(inputConfig.outputTarget8);
            buf.writeByte(inputConfig.cameraTrigger);
            buf.writeByte(inputConfig.cameraAddress);

            return ByteBufUtil.getBytesRemaining(buf);
        } finally {
            ByteBufUtil.safeRelease(buf);
        }
    }
}
