package com.qhiot.transport.message.bean;

import com.qhiot.core.util.ByteUtil;
import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/22 11:52
 */
public class OnboardTagBuilder {

    public static OnboardTag read(ByteBuf buf) {
        try {
            OnboardTag tag = new OnboardTag();
            tag.type = buf.readByte();
            tag.reserved = buf.readByte();
            tag.tagId = buf.readIntLE();

            byte status = buf.readByte();
            tag.pkgType = ByteUtil.getHigh4(status);
            tag.pSta = ByteUtil.getBit(status, 4);
            tag.bSta = ByteUtil.getBit(status, 5);

            tag.exciter = buf.readUnsignedShortLE();
            tag.rssi = buf.readUnsignedByte() * 4;
            tag.crc = buf.readUnsignedShortLE();
            return tag;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }
}
