package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import com.qhiot.transport.codec.util.ByteBufUtil;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/22 11:52
 */
public class OutputConfigBuilder {

    public static OutputConfig read(ByteBuf buf) {
        try {
            OutputConfig config = new OutputConfig();
            config.commandValid = buf.readByte();
            config.hours = buf.readByte();
            config.minutes = buf.readByte();
            config.seconds = buf.readByte();
            config.duration = buf.readUnsignedShortLE();
            buf.readBytes(config.outputTarget);
            return config;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(OutputConfig config) {
        ByteBuf buf = ByteBufUtil.directBuffer(OutputConfig.DATA_LENGTH);
        try {
            buf.writeByte(config.commandValid);
            buf.writeByte(config.hours);
            buf.writeByte(config.minutes);
            buf.writeByte(config.seconds);
            buf.writeShortLE(config.duration);
            buf.writeBytes(config.outputTarget);

            return ByteBufUtil.getBytesRemaining(buf);
        } finally {
            ByteBufUtil.safeRelease(buf);
        }
    }
}
