package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import com.qhiot.transport.codec.util.ByteBufUtil;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:26
 */
public class OutputPeriodConfigBuilder {

    public static OutputPeriodConfig read(ByteBuf buf) {
        try {
            OutputPeriodConfig config = new OutputPeriodConfig();
            config.commandValid = buf.readByte();
            config.period = buf.readUnsignedShortLE();
            config.duration = buf.readUnsignedShortLE();
            buf.readBytes(config.outputTarget1);
            buf.readBytes(config.outputTarget2);
            buf.readBytes(config.outputTarget3);
            buf.readBytes(config.outputTarget4);
            return config;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(OutputPeriodConfig config) {
        ByteBuf buf = ByteBufUtil.directBuffer(OutputPeriodConfig.DATA_LENGTH);
        try {
            buf.writeByte(config.commandValid);
            buf.writeShortLE(config.period);
            buf.writeShortLE(config.duration);
            buf.writeBytes(config.outputTarget1);
            buf.writeBytes(config.outputTarget2);
            buf.writeBytes(config.outputTarget3);
            buf.writeBytes(config.outputTarget4);

            return ByteBufUtil.getBytesRemaining(buf);
        } finally {
            ByteBufUtil.safeRelease(buf);
        }
    }
}
