package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import com.qhiot.transport.codec.util.ByteBufUtil;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2017-03-31 16:04
 */
public class OverloadWarningBuilder {

    public static OverloadWarning read(ByteBuf buf) {
        try {
            OverloadWarning config = new OverloadWarning();
            config.valid = buf.readByte();
            config.time = buf.readIntLE();

            return config;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(OverloadWarning config) {
        ByteBuf buf = ByteBufUtil.directBuffer(OverloadWarning.DATA_LENGTH);
        try {
            buf.writeByte(config.valid);
            buf.writeIntLE(config.time);

            return ByteBufUtil.getBytesRemaining(buf);
        } finally {
            ByteBufUtil.safeRelease(buf);
        }
    }
}
