package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:26
 */
public class PictureSegmentBuilder {

    public static SnapSegment read(ByteBuf buf) {
        try {
            SnapSegment img = new SnapSegment();
            // 摄像头地址 1B
            img.cameraAddr = buf.readByte();
            // 图片包序号 2B
            img.segmentIndex = buf.readShortLE();
            // 图片包总数 2B
            img.totalSegments = buf.readShortLE();
            // 时间戳 4B
            img.timestamp = buf.readIntLE();
            // 数据长度 2B
            img.dataLength = buf.readUnsignedShortLE();
            // 数据 NB
            img.segmentData = new byte[img.dataLength];
            buf.readBytes(img.segmentData);
            return img;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }
}
