package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * 资源上传数据配置
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:26
 */
public class ResourceUploadDataBuilder {

    /**
     * 解码
     * @param buf
     * @return
     */
    public static ResourceUpload read(ByteBuf buf) {
        try {
            ResourceUpload data = new ResourceUpload();
            data.registerType = buf.readByte();
            data.storeAddress = buf.readUnsignedShortLE();
            data.timestamp = buf.readIntLE();
            data.dataLength = buf.readUnsignedByte();
            data.data = new byte[data.dataLength];
            buf.readBytes(data.data);
            return data;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

}
