package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import com.qhiot.transport.codec.util.ByteBufUtil;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:26
 */
public class Rs485CollectionDataBuilder {

    public static Rs485Collection read(ByteBuf buf) {
        try {
            Rs485Collection rs485Collection = new Rs485Collection();
            rs485Collection.commandIndex = buf.readByte();
            rs485Collection.dataIndex = buf.readShortLE();
            rs485Collection.dataLength = buf.readUnsignedByte();
            rs485Collection.uploadMark = buf.readByte();
            rs485Collection.timestamp = buf.readIntLE();
            rs485Collection.dataType = buf.readUnsignedByte();
            rs485Collection.data = new byte[rs485Collection.dataLength];
            if (rs485Collection.dataLength > 0) {
                buf.readBytes(rs485Collection.data);
            }
            return rs485Collection;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }

    public static byte[] toBytes(Rs485Collection rs485Collection) {
        ByteBuf buf = ByteBufUtil.directBuffer();
        try {
            buf.writeByte(rs485Collection.commandIndex);
            buf.writeShortLE(rs485Collection.dataIndex);
            buf.writeByte(rs485Collection.dataLength);
            buf.writeByte(rs485Collection.uploadMark);
            buf.writeIntLE(rs485Collection.timestamp);
            buf.writeByte(rs485Collection.dataType);
            buf.writeBytes(rs485Collection.data);

            return ByteBufUtil.getBytesRemaining(buf);
        } finally {
            ByteBufUtil.safeRelease(buf);
        }
    }
}
