package com.qhiot.transport.message.bean;

import com.qhiot.core.util.ByteUtil;
import com.qhiot.transport.codec.exception.DecodeException;

import java.io.UnsupportedEncodingException;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/22 11:52
 */
public class SmsBuilder {

    public static Sms read(byte[] commandData) throws DecodeException {
        Sms sms = new Sms();
        try {
            String original = bytes2String(commandData);
            String[] contentLines = original.split("\r\n");
            sms.timestamp = contentLines[2].substring(contentLines[2].length() - 21, contentLines[2].length() - 4);
            byte[] unicodeBytes = ByteUtil.hexToBytes(contentLines[3]);
            sms.content = new String(unicodeBytes, "unicode");
        } catch (UnsupportedEncodingException e) {
            throw new DecodeException(e);
        }
        return sms;
    }

    private static String bytes2String(byte[] bytes) {
        StringBuilder builder = new StringBuilder();
        for (int i = 0; i < bytes.length; i++) {
            builder.append((char) bytes[i]);
        }
        return builder.toString();
    }
}
