package com.qhiot.transport.message.bean;

import com.qhiot.core.util.ByteUtil;
import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/22 11:52
 */
public class Tag780mBuilder {

    public static Tag780m read(ByteBuf buf) {
        try {
            Tag780m tag = new Tag780m();
            buf.readBytes(tag.lead);
            if (!ByteUtil.equals(tag.lead, new byte[] { 0x04, 0x40, (byte) 0xFF, 0x00 })) {
                return null;
            }
            tag.timestamp = buf.readIntLE();
            tag.tagId = buf.readIntLE();
            buf.readBytes(tag.data);
            return tag;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }
}
