package com.qhiot.transport.netty.handler;

import io.netty.channel.Channel;
import io.netty.channel.ChannelPipeline;
import io.netty.handler.timeout.IdleStateHandler;
import io.netty.handler.timeout.ReadTimeoutHandler;

import java.util.concurrent.TimeUnit;

/**
 * 接收UDP Socket新通道时的初始化
 *
 * @author 金建强(ptma@163.com)
 * @version 2015-11-27 14:23.
 */
public class UdpChannelInitializer extends io.netty.channel.ChannelInitializer<Channel> {

    private UdpChannelHandler udpChannelHandler;

    @Override
    protected void initChannel(Channel channel) throws Exception {
        ChannelPipeline pipeline = channel.pipeline();

//        ByteBuf delimiter = Unpooled.copiedBuffer("END".getBytes());
//        pipeline.addLast(new DelimiterBasedFrameDecoder(8192, false, delimiter));

        pipeline.addLast("readTimeoutHandler", new ReadTimeoutHandler(30));
        pipeline.addLast("idleStateHandler", new IdleStateHandler(10, 0, 0, TimeUnit.MINUTES));
        pipeline.addLast(udpChannelHandler);
    }

    public void setUdpChannelHandler(UdpChannelHandler udpChannelHandler) {
        this.udpChannelHandler = udpChannelHandler;
    }
}
