package com.qhiot.transport.netty.server;

import io.netty.bootstrap.ServerBootstrap;
import io.netty.channel.ChannelFuture;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * The type Socket server.
 *
 * @author 金建强(ptma 163.com)
 * @version 2017 -04-13 19:57
 */
public class UdpServer {

    private static final Logger LOGGER = LoggerFactory.getLogger(UdpServer.class);

    private ServerBootstrap bootstrap;

    private int             port;

    private ChannelFuture serverChannelFuture;

    public void start() throws Exception {
        serverChannelFuture = bootstrap.bind("0.0.0.0", port).sync();
    }

    public void stop() throws Exception {
        try {
            serverChannelFuture.channel().closeFuture().sync();
        }catch (Exception e){
            LOGGER.error(e.getMessage(),e);
        }
    }

    public void setPort(int port) {
        this.port = port;
    }

    public int getPort() {
        return port;
    }

    public void setBootstrap(ServerBootstrap bootstrap) {
        this.bootstrap = bootstrap;
    }

}
