package com.qhiot.transport.online;

import com.qhiot.cache.util.CacheUtil;
import com.qhiot.core.util.StringUtil;
import com.qhiot.transport.message.data.OnlineData;
import com.qhiot.transport.message.define.DeviceType;

/**
 * 在线管理器(默认超过十分钟认为离线)
 *
 * @author 金建强(ptma@163.com)
 */
public class OnlineManager {

    public static final String ONLINE_DATA_CACHE_NAME = "seem:transport:online:data";

    public static boolean isOnline(String deviceId) {
        return isOnline(DeviceType.GATEWAY.getValue(), deviceId);
    }

    public static boolean isOnline(byte deviceType, String deviceId) {
        String key = StringUtil.format("{}_{}", deviceType, deviceId);
        return getOnlineData(deviceType, deviceId) != null;
    }

    public static OnlineData getOnlineData(String deviceId) {
        return getOnlineData(DeviceType.GATEWAY.getValue(), deviceId);
    }

    public static OnlineData getOnlineData(byte deviceType, String deviceId) {
        String key = StringUtil.format("{}_{}", deviceType, deviceId);
        return (OnlineData) CacheUtil.get(ONLINE_DATA_CACHE_NAME, key);
    }
}
